hildon-desktop (1:2.0.15-1) sardine; urgency=low

  * data/restore-menu.sh: Reworked the original update for chinook backup restore
    to remove a dodgy escaped newline character, which was causing an invalid file
  * configure.ac: 2.0.15

 -- Karl Lattimer <karl.lattimer@nokia.com>  Wed, 16 Apr 2008 17:54:35 +0300 

hildon-desktop (1:2.0.14-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-notification-manager.c:  reverse
  2.0.11 patch to fix memory leak, appears to be a double free.

 -- Karl Lattimer <karl.lattimer@nokia.com>  Wed, 16 Apr 2008 09:11:38 +0300 

hildon-desktop (1:2.0.13-1) sardine; urgency=low

  * libhildonwm/hd-wm-util.c: fix various small issues found by Coverity on
    hd_wm_get_vmdata_for_pid(), also reducing function complexity
    Fixes: NB#80134
    (patch by Leonid Moiseichuk)
  * configure.ac: 2.0.13

 -- Rodrigo Novo <rodrigo.novo@nokia.com>  Tue, 15 Apr 2008 16:51:51 +0300

hildon-desktop (1:2.0.12-1) sardine; urgency=low

  * data/restore-menu.sh: ensure that backup restore from chinook
    always includes hildon-update-notifier.desktop in the statusbar.conf
    this is a substandard fix, more information can be found in the file
    comments.
    Fixes: NB#82941
  * configure.ac: 2.0.12

 -- Karl Lattimer <karl.lattimer@nokia.com>  Tue, 15 Apr 2008 16:17:00 +0300

hildon-desktop (1:2.0.11-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-notification-manager.c: fix
  memory leak by correctly freeing pre-allocated hash table
  Fixes: NB#79468 "osso_system_note_infoprint causes hildon-desktop to leak
  memory"

  * data/restore-menu.sh: erase desktop configuration files when
  restoring a backup from an older software release.
  Fixes: NB#82941 "SSU: Restoring backup that does not have software
  update notifier disables the plugin"

  -- Rodrigo Novo <rodrigo.novo@nokia.com> Tue,  8 Apr 2008 15:39:00 +0300

hildon-desktop (1:2.0.10-1) sardine; urgency=low

  * libhildonwm/hd-wm-application.c (hd_wm_application_new):
  - when program have arguments specified in their desktop file,
  be sure to remove these from the default class_name.
  Patch courtesy of Adrian Bunk.
  Fixes: NB#80487

  * src/hd-select-plugins-dialog.c (hd_select_plugins_dialog_get_store):
  fixed the double free of a GError.

  * libhildondesktop/hildon-desktop-item.[ch]: move new properties of
  HildonDesktopItem to a private struct in order to keep ABI backwards
  compatibility.

  Added support for having several instances of the same type of plugins
  with different configuration or content.

  * src/hd-config.h: added entries for new keys X-Temporary and
  X-Resource.
  * src/hd-plugin-manager.c (hd_plugin_manager_sync): check if the
  plugins is marked as temporary. Is so, remove the .desktop
  accordingly.
  * src/hd-plugin-loader-default.c
  (hd_plugin_loader_default_open_module): load resource and temporary
  keys into respective object properties for future usage.
  * libhildondesktop/hildon-desktop-item.[ch]
  (hildon_desktop_item_get_resource): accessor method for plugin's
  resource.
  (hildon_desktop_home_class_init, hildon_desktop_item_get_property,
  hildon_desktop_item_set_property): new GObject properties "resource"
  and "temporary". The former to be used by plugins to identify what
  content/configuration should be used/considered for each instance. The
  latter to mark plugins as temporary (.desktop is removed is the plugin
  is unloaded).

  * src/hd-desktop.c (hd_desktop_plugin_list_to_conf),
  src/hd-home-window.c (hd_home_window_background,
  hd_home_window_screen_off), libhildondesktop/hildon-home-area.c,
  libhildonwm/hd-wm.c: several small fixed in order to cleanly build
  on 64 bit architectures.
  Patch from Bill Filler <bill.filler@canonical.com>.

  * src/hd-switcher.c: fix #ifdef check for maemo GTK+. Patch from
  Bill Filler <bill.filler@canonical.com>.

  * libhildondesktop/hildon-desktop-home-item.c:
  (hildon_desktop_home_item_create_icon_window): handle not having an
  event window, in case the realize / unrealize methods were overridden
  not to have one.
  Fixes: NB#80392
  Patch courtesy of Anton Rogaynis

  * configure.ac: check for individual functions from maemo-gtk rather
  than relying on MAEMO_CHANGES
  * libhildondesktop/hildon-desktop-panel-expandable.c,
  libhildondesktop/hildon-desktop-popup-window.c,
  libhildonwm/hd-wm.c: use these tests rather than MAEMO_CHANGES.
  Fixes: MB#2080
  Patch courtesy of Riku Voipio.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 19 Mar 2008 12:59:02 +0200

hildon-desktop (1:2.0.9-1) sardine; urgency=low

  * src/hd-select-plugins-dialog.c: still display the dialog
  if one of the given plugin directories does not exist.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 09 Jan 2008 15:35:47 +0200

hildon-desktop (1:2.0.8-1) sardine; urgency=low

  * debian/config/desktop.conf: add ~/.hildon-home as a plugin dir
  for home

  * src/hd-desktop.c:
  - have ContainerInfo have a list of plugin directories instead of one
  - watch each of the directories.
  * src/hd-select-plugins-dialog.c:
  - iterate plugins from all plugin directories.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 02 Jan 2008 16:08:05 +0200

hildon-desktop (1:2.0.7-2) sardine; urgency=low

  * Include hildon-update-notifier in the default statusbar configuration.
  Fixes: NB#76493

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 02 Jan 2008 19:22:10 +0200

hildon-desktop (1:2.0.7-1) sardine; urgency=low

  * debian/rules: call dh_installinit with -r to avoid restarting
  desktop during seamless software updates.

  * libhildonwm/hd-keys.c: catch X errors around call to
  XKeycodeToKeysym. Fixes: NB#78409

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 18 Dec 2007 17:33:17 +0200

hildon-desktop (1:2.0.6-1) sardine; urgency=low

  * libhildonwm/hd-keys.c: check if a fn + keycode gives keysym,
  but also if keycode only does not give keysym.
  Fixes: NB#74429

  * libhildondesktop/hildon-home-titlebar.c: use button1 in
  gtk_menu_popup. Fixes: NB#76713

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 22 Nov 2007 14:42:43 +0200

hildon-desktop (1:2.0.5-1) sardine; urgency=low

  * libhildonwm/hd-keys.c:
  - when grabbing a shortcut, check if that keysym requires the Fn
  modifiers, and if so add it to the modifier mask. For instance
  the + key in French is labelled as + but requires Fn+V.
  - when a key shortcut is received, check if this keycode and
  mask results in a levelled keysym.
  Fixes: NB#74322

  * src/hd-applications-menu.c (hd_applications_menu_button_toggled): do
  not unselect menu item when untoggling the button to avoid
  inconsistent behavior. Fixes: NB#75922.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Nov 2007 16:32:24 +0200

hildon-desktop (1:2.0.4-2) sardine; urgency=low

  * debian/config/home{-layout}.conf: the tutorial applet is back, for
  everyone's pleasure.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 19 Nov 2007 13:10:51 +0200

hildon-desktop (1:2.0.4-1) sardine; urgency=low

  * libhildonwm/hd-wm.c (hd_wm_prepare_close_application_dialog):
  - add a weak reference to the window so it can be set to NULL
  if it disappears.
  - clean up the list where it is constructed.
  * src/hn-app-switcher.c (hn_app_switcher_close_application_dialog):
  - do not clean up the list as it is done by the caller.
  Fixes: NB#74429

  * src/hd-home-l10n.h, src/hd-applications-menu-settings-l10n.h,
  libhildondesktop/statusbar-item-socket.h,
  libhildondesktop/tasknavigator-item-socket.h: added missing
  G_END_DECLS. Patch courtesy of Mikhail Sobolev

  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_press_event): do not take non-visible menu
  items into account when checking which item was selected on button
  press. Fixes: NB#75589.

  * src/hd-applications-menu.c (hd_applications_menu_finalize,
  hd_applications_menu_init, hd_applications_menu_create_menu): use an
  idle call instead of timeout to first load menu structure on startup. 

  * src/hd-home-window.c: if an image has a cache, that's the file
  whose existence we should check. Fixes: NB#72925

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 12 Nov 2007 09:38:57 +0200

hildon-desktop (1:2.0.3-1) sardine; urgency=low

  * src/hd-home-window.c (hd_home_window_constructor): if the background
  file has disappeared, revert to default. Fixes: NB#72925

  * src/hd-switcher-menu.c (hd_switcher_menu_fullscreen_cb): only reset
  switcher button icon if the application is only shown in switcher menu
  and there's no blinking notification icon. Fixes: NB#72861, NB#72860.

  * src/hd-switcher-menu.c (hd_switcher_menu_fullscreen_cb): revert last
  commit as it brings one regression when blinking icon on switcher area.

  * src/hd-switcher-menu.c (hd_switcher_menu_fullscreen_cb): do not
  reset switcher button icon when fullscreen signal is false in order to
  avoid stopping the blinking when launching an application or coming
  back from fullscreen mode. Fixes: NB#72861, NB#72860.

  * src/hd-switcher-menu.c (hd_switcher_menu_displat_state_cb,
  hd_switcher_menu_finalize): copy animation pixbuf when restoring
  blinking icon on switcher button to avoid it to be destroyed just
  before using it. Fixes: NB#72544.

  * src/hd-plugin-loader-factory.c
  (hd_plugin_loader_factory_load_modules): g_strdup() the plugin loader
  key to fix a crasher. Do not use G_MODULE_BIND_LOCAL flag when loading
  plugin loader module in order to correctly load all its dependencies in
  the global symbol table.

  * src/hd-applications-menu.c (hd_applications_menu_unmap,
  hd_applications_menu_init): make the initial setup (select first
  category) on window unmap instead of window popdown in order to avoid
  errouneous applications activation when doing double clicks.
  Fixes: NB#73137.

  * libhildondesktop/hildon-desktop-panel-window-composite.c
  - (hildon_desktop_panel_window_composite_update_background):
  store a GdkPixmap instead of a Render Picture for the background,
  and apply it as window background.
  - (hildon_desktop_panel_window_composite_expose): removed.
  - (hildon_desktop_panel_window_composite_finalize): added, unref
  the background pixmap.
  Fixes: NB#72438

  * libhildondesktop/hildon-desktop-home-item.c: enable GTK
  extension events on both the event window and the
  close / resize handles. Fixes: NB#73005

  * src/hd-switcher-menu.c: fixed a compiler warning. Fix courtersy
  of Xan López.

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 30 Oct 2007 09:53:06 +0200

hildon-desktop (1:2.0.2-2) sardine; urgency=low

  * debian/config/applications.menu: added modest to the application menu.
  Fixes: NB#74333

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 26 Oct 2007 11:28:59 +0300

hildon-desktop (1:2.0.2-1) sardine; urgency=low

  * src/hd-home-background.c,
  libhildondesktop/hildon-desktop-panel-window-composite.c:
  fixed compilation warnings. Patch courtesy of Xan López.

  * doc/libhildondesktop: moved libhildondesktop documentation
  to its own subdirectory, with its own gtk-doc module.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 24 Oct 2007 13:26:01 +0300

hildon-desktop (1:2.0.1-3) sardine; urgency=low

  * debian/config/home{-layout}.conf: replaced tutorial with clock applet.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 24 Oct 2007 13:24:42 +0300

hildon-desktop (1:2.0.1-2) sardine; urgency=low

  * debian/control:
    . added libhildondesktop0-doc
    . added Build-Depends-Indep to gtk-doc-tools
  * debian/rules:
    . enable gtk-doc
    . add a symlink from /usr/share/gtk-doc/html
  * debian/libhildondesktop0-doc.install: added

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 19 Oct 2007 15:37:33 +0300

hildon-desktop (1:2.0.1-1) sardine; urgency=low

  * src/hd-switcher-menu.c
  (hd_switcher_menu_refresh_notification_items): check if items
  are HDSwitcherMenuItem before accessing them.

  * libhildondesktop/libhildondesktop.h: document
  HD_DEFINE_PLUGIN_EXTENDED and HD_DEFINE_PLUGIN.

  * libhildondesktop/tasknavigator-item.[ch]: document
  TaskNavigatorItem (mark public fields as private).

  * doc/hildon-desktop-docs.sgml: add package version number.
  * libhildondesktop/hildon-desktop-panel-item.[ch]: add
  HildonDesktopPanelItem documentation.

  * doc/hildon-desktop-docs.sgml: make the index.html more elegant.
  * doc/hildon-desktop.types: introspect PopupWindow and PopupMenu
  too.

  * libhildondesktop/statusbar-item.[ch]: fix StatusbarItem
  documentation (mainly state things as private).

  * libhildondesktop/hildon-log.[ch]:
  * libhildondesktop/statusbar-item-binding.[ch]:
  * libhildondesktop/statusbar-item-socket.[ch]:
  * libhildondesktop/statusbar-item-wrapper.[ch]:
  * libhildondesktop/tasknavigator-item-socket.[ch]:
  remove _PRIVATE macros from public headers.

  * doc/Makefile.am:
  fix GtkDoc documentation build.

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 18 Oct 2007 14:51:16 +0300

hildon-desktop (1:2.0.0-1) sardine; urgency=low

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  fix an invalid read by adding a weak pointer to the internal static
  variable that points to the last selected item. Fixes: NB#73505.
  * libhildondesktop/hildon-desktop-panel-expandable.c
  (hildon_desktop_desktop_panel_expandable_cremove): fix a leak by
  freeing an temporary list.
  * libhildonwm/hd-wm.c (hd_wm_activate_service): fix memory leak.

  * libhildondesktop/hildon-desktop-home-item.c: reverted activating
  the extension events, as it breaks resizing and context sensitive
  menu

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 17 Oct 2007 16:48:17 +0300

hildon-desktop (1:0.0.46-1) sardine; urgency=low

  * libhildondesktop/home-item.[ch]: use HOME_ as prefix
  for the GObject macros, to make the python binding generator
  happy.

  * libhildondesktop/hildon-desktop-home-item.c: enable
  extension events on the event window, so the pressure
  information is propagated to child widgets. Patch courtesy
  of Tomas Junnonen. Fixes: NB#73005

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 16 Oct 2007 15:27:13 +0300

hildon-desktop (1:0.0.45-2) sardine; urgency=low

  * debian/control: libhildon*-dbg should be built for any architecture.
  Fixes: NB#72826

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 15 Oct 2007 18:55:46 +0300

hildon-desktop (1:0.0.45-1) sardine; urgency=low

  * libhildonwm/hd-wm-window.c (hd_wm_window_finalize):
  do not return when the window is hibernating. We do destroy
  windows which are hibernating when an application has not
  set up its WINDOW_ROLE, in which case all its windows have the
  same hibernation key.
  * src/hd-switcher-menu.c: do not check urgency of hibernating windows
  * src/hn-app-switcher.c: do not check urgency and icon geometry
  of hibernated window.
  Fixes: NB#72572

  * libhildonwm/hd-wm.c (hd_wm_prepare_close_application_dialog):
  plugged the leak of an X property

  * debian/config/notification-groups.conf: update notification group
  configuration file with correct e-mail notification group callback.

  * src/hd-applications-menu.c (hd_applications_menu_activate_app):
  plugged the leak of a string vector

  * libhildonwm/hd-wm-window.c (hd_wm_win_info_get_window_name): Fixed
  the leak of a string

  * libhildonwm/hd-keys.c: (hd_keys_handle_keypress):
  - Trap possible X errors. Fixes potential crash.

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 11 Oct 2007 16:00:17 +0300

hildon-desktop (1:0.0.44-1) sardine; urgency=low

  * libhildonwm/hd-wm-window.c: call gdk_flush before checking for
  an X error. Fixes: NB#72458

  * src/hd-switcher-menu.c
  (hd_switcher_menu_create_clear_notifications_button):
  call gtk_widget_show on "clear events" menu item.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 10 Oct 2007 12:47:53 +0300

hildon-desktop (1:0.0.43-1) sardine; urgency=low

  * src/hd-switcher-menu.c (hd_switcher_menu_create_separator):
  call gtk_widget_show on each created menu separator.

  * libhildonwm/hd-wm-application.c: (hd_wm_application_new):
  - If not icon provided at all fallback to default.

  * libhildonwm/hd-wm.c: (hd_wm_prepare_close_application_dialog):
  - Use the new HD_WM_ENTRY_INFO semantics. The list of applications
  contains applications not windows. Fixes: NB#72499

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 09 Oct 2007 15:58:58 +0300

hildon-desktop (1:0.0.42-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - (hildon_desktop_panel_expandable_constructor): keep the id
  of the fullscreen signal handler
  - (hildon_desktop_panel_expandable_finalize): disconnect the
  fullscreen signal handler.
  Fixes: NB#72260

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 08 Oct 2007 14:46:11 +0300

hildon-desktop (1:0.0.41-1) sardine; urgency=low

  * libhildonwm/hd-wm.[ch]: (hd_wm_constructor), (hd_wm_init),
  (hd_wm_monitor_cb), (hd_wm_monitor_register):
  - Refresh list of applications when un/installing. Fixes: NB#72107
  * src/hn-app-switcher.c:
  (hn_app_switcher_close_application_dialog):
  - Use the proper hd_wm_entry_info
  
  * libhildondesktop/hildon-thumb-menu-item.c
  (hildon_thumb_menu_item_style_set, hildon_thumb_menu_class_init):
  refresh style of menu item labels in case of a theme change.
  Fixes: NB#72056.
  
  * src/hn-app-button.c, src/hd-switcher-menu-item.c: defined a default
  height for menu items and reduced x padding in order to bring more
  consistency to switcher area menu in relation to other tasknavigator
  menus. Fixes: NB#71584.
  
  * libhildonwm/hd-wm-window.c: the icons we should accept
  are 64x54, not 40x40. Fixes: NB#71511
  
  * libhildondesktop/hildon-desktop-home-item.c
  (hildon_desktop_home_item_propagate_button_event): when forwarding
  button-release events, lookup for the child window using the
  previous button-press event coordinates. Fixes: NB#71808
  
  * src/hd-desktop.c: fixed the leak of a GList
  
  * src/hd-switcher-menu.c (hd_switcher_menu_notification_deleted_cb):
  turn off led pattern blinking when a notification with led blinking
  closes. Fixes: NB#71832.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Fri,  5 Oct 2007 17:06:10 +0300

hildon-desktop (1:0.0.40-1) sardine; urgency=low

  * libhildonwm/hd-wm-application.c: do not #define out gettext!
  Fixes: NB#69635

  * src/hd-applications-menu.c (hd_applications_menu_finalize,
  hd_applications_menu_activate_category,
  hd_applications_menu_free_menu_list, hd_applications_menu_create_menu,
  hd_applications_menu_get_items, hd_applications_menu_populate):
  complete refactoring of the way applications pane is update. Instead
  of removing and adding items from the popup menu widget, we just add
  all application menu items to the popup menu and keep hinding and
  showing certain menu items each time a category is activated. This
  brings a mass performance improvement as GTK+ doesn't perform very
  well with massively adding/removing widgets from containers.
  * src/hd-switcher-menu.c (hd_switcher_menu_init,
  hd_switcher_menu_eventbox_keypress_cb): add an eventbox around the
  popup menus in order to avoid flickers on scroll buttons area.
  Explicitly show menu items on their creation as the popup menu doesn't
  call gtk_widget_show on them anymore.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]
  (hildon_desktop_popup_menu_get_children,
  hildon_desktop_popup_menu_parent_size,
  hildon_desktop_popup_menu_item_is_valid,
  hildon_desktop_popup_menu_motion_notify): take in to account the
  visibility of the menu items on all basic operations on popup menu
  like motion notify, keyboard navigation, getting children, etc.

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 02 Oct 2007 14:35:08 +0300

hildon-desktop (1:0.0.39-1) sardine; urgency=low

  * src/hd-home-background.c (hd_home_background_requires_caching):
  - check for both MMC and cache the background for both origin,
  as both will be made unavailable if connected to a host.

  * libhildondesktop/hildon-desktop-toggle-button.c
  (hildon_desktop_toggle_button_expose): paint the button on
  its allocation only. Fixes: NB#71538

  * src/hd-desktop.c: removed debug message

  * libhildondesktop/hildon-desktop-panel-expandable.c
  (hildon_desktop_panel_expandable_hide_extension): do not hide the
  extension if already hidden. In particular don't release grabs
  which we didn't take. Fixes: NB#71191

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 01 Oct 2007 19:34:02 +0300

hildon-desktop (1:0.0.38-1) sardine; urgency=low

  * src/hd-home-window.c: kill the startup wizard in an idle loop,
  to make sure we are all setup.
  Fixes: NB#68956

  * src/hd-applications-menu.c (hd_applications_menu_dir_changed):
  reduce the timeout to update the menu in order to avoid strange
  behavior from the user point of view. Fixes: NB#68975.

  Added "safe mode" support which, in practice, disables all home plugins 
  and loads default ones for task navigator and statusbar. Based on
  patch from Karoliina Salminen <karoliina.t.salminen@nokia.com>.

  * debian/rules: added --enable-safe-mode option to configure step.
  * debian/config/desktop.conf: added UI policy key for statusbar.
  * src/hd-desktop.c (hd_desktop_init, hd_desktop_load_containers):
  create a stamp file on startup which should be removed on a normal 
  desktop shutdown. On startup, if the file is still there it means
  desktop didn't shutdown normally on previous session and the safe mode
  should be activated. If running in a development environment, then safe 
  mode is disabled.
  * src/hd-desktop.h: added constants for the stamp file used by safe
  more code.
  * src/main.c (signal_handler): remove stamp file on SIGTERM to mark
  a plain shutdown. 
  * policies/statusbar-policy.c: new statusbar UI policy which loads all
  default plugins in case the desktop is in safe mode.

  * libhildondesktop/hildon-home-area.c: removed debug message
  * libhildondesktop/hildon-desktop-home-item.c: removed warning
  when no close icon is provided

  * src/hd-panel-window-dialog.c: fixed potential leak of an int

  * libhildondesktop/libhildonmenu.c (read_menu_conf): do not
  duplicate strings before adding to the TreeStore

  * src/hd-switcher-menu-item.c: fixed the leak of the application
  and window names

  * libhildondesktop/hildon-desktop-panel-expandable.c
  (hildon_desktop_panel_expandable_cadd): fixed the leak of a GList

  * src/hd-panel-window.c (hd_panel_window_cadd): fixed leak of
  a GList

  * src/hd-applications-menu.c (hd_applications_menu_create_menu):
  increased the applications pane in order to avoid many truncations on
  several languages. Fixes: NB#65999.

  * src/hd-applications-menu.c (hd_applications_menu_create_menu): pack
  both panes inside event boxes in order to avoid flicking on scrolling
  buttons area when opening the popup window.

  Refactored memory management of the switcher icons
  * src/hd-switcher-menu-item.c
  - (hd-switcher-menu-item_set_property): keep an internal reference
  to the notification icon
  - (hd_switcher_menu_item_icon_animation): when moving from
  animation to static, do not unref the original pixbuf
  * src/hn-app-pixbuf-anim-blinker.c
  (hn_app_pixbuf_anim_blinker_finalize): unref the blended image
  * src/hd-switcher-menu.c: unref a notification icon after
  a notification menu item is created
  Fixes: NB#70872, NB#70670

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  reverted some remaining changes from the previous leak fix in order to make the
  keyboard navigation work again.

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  reverted some changes from the previous leak fix in order to make the
  focus move between panes work again.

  * src/hd-desktop.c (hd_desktop_plugin_list_from_conf): duplicate
  the group name if we add it to the plugin list.

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  fixed the leak of a GList

  * src/hd-desktop.c (hd_desktop_plugin_list_from_conf): free
  the KeyFile in case of error.

  * src/hd-desktop.c (hd_desktop_plugin_list_from_conf): use
  g_strfreev() to free the list of groups returned by gconf. Fixes
  a leak of strings

  * libhildondesktop/hildon-desktop-notification-manager.c: unref
  the notification icon after storing it in the ListStore, to avoid
  leaking it

  * libhildondesktop/hildon-desktop-panel.c (hildon_desktop_panel_cadd):
  added protection against NULL widget. Fixes: NB#70668

  * libhildondesktop/hildon-desktop-popup-menu.c: systematically
  unselect the item when removed from the box. This fixes invalid
  reads

  * src/hd-switcher-menu.c: fixed numerous leaks of GList.

  * libhildondesktop/hildon-desktop-popup-menu.c: fixed a warning
  when deselecting a NULL item

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): make sure
  the menu item icon blinks when urgency hint is set for a certain
  window. Fixes: NB#58375.

  * src/hd-panel-window-dialog.c:
  (hd_panel_window_dialog_notify_condition):
  - Get the condition anyways and send it off. Fixes: NB#70308

  * src/hd-applications-menu.c (hd_applications_menu_get_items): center
  the "no applications" label on empty categories menu item.

  * libhildonwm/hd-keys.c: (hd_keys_action_close):
  * libhildonwm/hd-keys.h:
  - New gconf key for shorcuts.

  * src/hd-panel-window-dialog.c:
  (hd_panel_window_dialog_constructor):
  - If using old titlebar MB dirty-hack, never hide statusbar.
  Fixes: NB#70648, NB#70348, NB#69706

  * libhildondesktop/hildon-desktop-notification-manager.c
  (hildon_desktop_notification_manager_notify): fix memory leak.
  Fixes: NB#70273.

  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_realize): don't set back pixmap to NULL
  to make avoid the "partial paint" effect on realize. Fixes: NB#69156.

  * src/hd-plugin-manager.c: free the list of plugins returned by
  the plugin loaders

  * libhildonwm/hd-keys.c: fixed the leak of the strings retrieved
  from gconf

  * libhildonwm/hd-wm.c: do not send the application-starting signal
  if the application has a window already or has requested not
  to show notifications.

  * libhildondesktop/hildon-thumb-menu-item.c: do not disable
  ellipses. Fixes: NB#70867

  * src/hd-app-menu-tree.c (hd_app_menu_tree_navigation_row_deleted):
  - set the cursor in an idle loop rather than directly, to prevent
  accessing the deleted row's data. Fixes: NB#68961

  * src/hd-switcher-menu.c (hd_switcher_menu_clear_item_activated):
  close popup window when activating the clear events button. Added
  some safety code for destroying clear events menu item after all
  notifications are closed. Fixes: NB#70893.

  * hildon-home-area.c (hildon_home_area_child_save_position): if
  the widget is not allocated, use the requisition. Fixes: NB#69699

  * home-item.[ch]: added empty wrapper around HildonDesktopHomeItem,
  for API coherence with TasknavigatorItem and StatusbarItem.

  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_constructor):
  make sure the menu items are correctly ellipsized. Fixes: NB#70588.

  * src/hd-switcher-menu.c: (hd_switcher_menu_changed_info_cb),
  (hd_switcher_menu_fullscreen_cb):
  - Notifications on fullscreen when urgency hint set.

  * src/hd-switcher-menu-item.c: disabled all debug messages by default.

  * src/hd-applications-menu.c (hd_applications_menu_init,
  hd_applications_menu_initial_setup, hd_applications_menu_show,
  hd_applications_menu_changed, hd_applications_menu_popdown): preload
  initial category on menu popdown and/or on desktop startup in order 
  to improve general performance of menu popup action. Reduced delay for
  loading menu on startup to better fit the desktop's startup time.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_get_children):
  - Return plugins already sorted.
  * src/hd-desktop.c: (hd_desktop_plugin_list_from_container),
  (hd_desktop_select_plugins):
  - Fully support for HildonDesktopContainer.
  Fixes: NB#66911

  * libhildondesktop/libhildonmenu.c: Fixed potential leaks of
  the .desktop GKeyFile stuctures

  * libhildondesktop/hildon-desktop-popup-menu.c: fixed leaks
  of the children list in several places

  * libhildondesktop/libhildonmenu.c: do not duplicate the name
  of the applications before adding to the treemodel, because the model
  does this for us. Fixes: NB#70641

  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_constructor,
  hd_switcher_menu_item_set_entry_info): always show application name on
  first row and window title on second row. Fixes: NB#70552.

  * src/hd-applications-menu.c (hd_applications_menu_changed,
  hd_applications_menu_init, hd_applications_menu_create_menu): load the
  menu structure after a certain delay to improve first-use UI feedback.

  * data/notification-groups.conf: set the correct D-Bus call for the
  email notifications group.
  * data/Makefile.am: install notification-groups.conf in hildon-desktop
  configuration directory.

  * libhildondesktop/hildon-desktop-panel-window-dialog.c: protect
  XChangeProperty with gdk_error_trap_*. Fixes: NB#70550

  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_constructor):
  fixed alignment of label inside a notification group menu item.

  * src/hd-switcher-menu.c (hd_switcher_menu_create_applications_menu,
  hd_switcher_menu_constructor): refactor applications pane to use
  optimized method for replacing all items in popup menu.

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 28 Sep 2007 16:18:48 +0300

hildon-desktop (1:0.0.37-4) sardine; urgency=low

  * debian/config/applications.menu: moved xterm to Utilities

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 28 Sep 2007 15:45:18 +0300

hildon-desktop (1:0.0.37-3) sardine; urgency=low

  * debian/config/home-layout.conf: adjust to the new padding values. 

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 24 Sep 2007 16:51:16 +0300

hildon-desktop (1:0.0.37-2) sardine; urgency=low

  * debian/config/desktop.conf: removed padding around home. Fixes: NB#67607

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 24 Sep 2007 14:57:51 +0300

hildon-desktop (1:0.0.37-1) sardine; urgency=low

  * libhildondesktop/hildon-home-titlebar.c: move the label
  3 px higher. Fixes: NB#69642

  * src/hn-app-button.c:
  - set the previous button even if it happens to be the same as
  the new one
  - when the group menu is closed, if no previous active button,
  unset current button.
  Fixes: NB#70354

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  use new method for replacing items in popup menu.
  * src/hd-switcher-menu.c
  (hd_switcher_menu_create_clear_notifications_button,
  hd_switcher_menu_add_clear_notifications_button,
  hd_switcher_menu_get_icon_from_theme,
  hd_switcher_menu_add_notification_groups,
  hd_switcher_menu_create_notifications_menu): refactored the whole
  notification pane creation to use the new method for replacing
  items in popup menu.
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_add_items,
  hildon_desktop_popup_menu_remove_all,
  hildon_desktop_popup_menu_parent_size,
  hildon_desktop_popup_menu_replace_items): new method for replacing
  items in popup menu. Make sure the parent is resized before moving
  it to another position. Fixes: NB#65712.

  * src/hd-app-menu-settings-dialog.c: check for duplicate names
  on the stripped name, not the original. Fixes: NB#70314

  * libhildonwm/hd-wm-window.c: set the parent pointer to the
  parent app when creating a new window. Fixes: NB#70125

  * src/hd-switcher-menu.c: when removing an item, unselect
  it if selected
  * libhildondesktop/hildon-desktop-popup-menu.c: ensure that we
  are always calling popup_menu_remove rather than container_remove.
  Fixes: NB#70281

  * src/hd-select-plugins-dialog.c, src/hd-home-background.c:
  - Fixed memory leaks. Fixes: NB#70273

  * src/hd-switcher-menu.c: (hd_switcher_create_external_window):
  - Fixed size for deattached button. Fixes: NB#70344

  * src/hd-panel-window-dialog.c:
  (hd_panel_window_dialog_notify_condition):
  - Send a real DBus signal.

  * src/hd-app-menu-tree.c: set an abitrary default value
  to the paned position.

  * libhildondesktop/hildon-desktop-home-item.c: when passing
  along a button-release, use the button release event
  rather than the previous button-press

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  make sure focus is correctly painted when the same category is
  activated twice.

  * src/hd-home-window.c: make sure to save the background always
  when pressing Ok. Fixes: NB#69800

  * src/hd-switcher-menu.c (hd_switcher_menu_show_menu_cb): do not show
  pressed state in toggle button if there are no applications running
  and Home key is pressed. Fixes: NB#69681.

  * src/main.c: add a signal handler for SIGTERM, in which
  desktop sends a SIGTERM to all watched applications.
  Fixes: NB#69408

  * libhildonwm/hd-keys.c: (hd_keys_shortcut_new):
  - Fixed typo with - and + keys

  * src/hd-applications-menu.c (hd_applications_menu_create_menu,
  hd_applications_menu_activate_category): make sure the menu can't be
  opened while loading its content in order to avoid crashers.
  Fixes: NB#68975.

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  use new optimized functions to add and remove several items at once.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]
  (hildon_desktop_popup_menu_add_item,
  hildon_desktop_popup_menu_add_items,
  hildon_desktop_popup_menu_real_add_item,
  hildon_desktop_popup_menu_remove_item,
  hildon_desktop_popup_menu_remove_all,
  hildon_desktop_popup_menu_real_remove_item): new functions to add
  several items at once in the menu and to remove all items.

  * policies/tasknavigator-policy.c:
  (hd_ui_policy_module_filter_plugin_list):
  - Filter any previous position of the switcher plugins.
  Fixes: NB#69004

  * libhildondesktop/libhildonmenu.[ch]: added support for
  the NoDisplay field

  * src/hd-switcher-menu.c (hd_switcher_menu_refresh_application_items):
  make sure the blinking is stopped when display is off inside
  the switcher
  menu applications pane. Removed some useless debugging messages.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_x_event_filter),
  (hildon_desktop_panel_embed_applet):
  - Increment number of systray applets. Fixes: NB#60764

  * src/hn-app-button.c (hn_app_button_create_menu): set toplevel window
  name for application instances menu to make it consistent with other
  plugins in tasknavigator.

  * src/hn-app-pixbuf-anim-blinker.c: (get_delay_time):
  - Set a fixed amount of time in order to save some CPU %.
  Fixes: NB#60062

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 21 Sep 2007 13:06:10 +0300

hildon-desktop (1:0.0.36-3) sardine; urgency=low

  * make startup sript scratchbox-friendly. Fixes: MB#1747

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 19 Sep 2007 13:00:37 +0300

hildon-desktop (1:0.0.36-2) sardine; urgency=low

  * debian/config/applications.menu: some adjustment

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 17 Sep 2007 17:05:56 +0300

hildon-desktop (1:0.0.36-1) sardine; urgency=low

  * src/hd-switcher-menu.c (hd_switcher_menu_displat_state_cb),
  src/hn-app-switcher.c (hn_app_switcher_osso_display_state_cb): keep
  track of display state changes instead of general system inactivity.

  * src/hd-app-menu-dialog.c: Fixed the leak of a string

  * libhildondesktop/hildon-desktop-picture.c: sync with X
  after creating a picture

  * src/hd-switcher-menu.c (hd_switcher_menu_popup_window_keypress_cb,
  hd_switcher_menu_popup_window_pane_keypress_cb): fixed keyboard
  navigation between application and notification panes. 

  * libhildondesktop/hildon-desktop-home-item.c: Added safegard
  against button-release without previous button-press.
  Fixes: NB#69560

  * src/hn-app-button.c (hn_app_button_release_event): restore previous
  state in case the release event occurs outside button boundaries.
  Fixes: NB#69245

  * libhildondesktop/hildon-desktop-toggle-button.c: add support
  for painting a the normal state as well.
  Fixes: NB#69508

  * libhildondesktop/hildon-home-area.c: call _widget_unparent
  in _container_remove, to avoid leaking a reference.
  Fixes: NB#69452

  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_item_is_selectable,
  hildon_desktop_popup_menu_motion_notify,
  hildon_desktop_popup_menu_press_event,
  hildon_desktop_popup_menu_select_item): do not allow selection on
  separators, non-sensitive, non-visible widgets, and empty menu items.
  Fixes: NB#60575.

  * libhildonwm/hd-keys.c: (hd_keys_shortcut_new):
  - Parse + and - as an special case. Fixes: NB#65516

  * libhildondesktop/hildon-desktop-home-area.c: propagate double-
  and triple-clicks to the child.
  Fixes: NB#66429

  * libhildondesktop/hildon-desktop-home-area.c: ignore
  double- and triple- click button events.
  Fixes: NB#69026

  * src/hd-app-menu-settings-dialog.c:
  - strip the Category names from trailing and leading white spaces.
  Fixes: NB#68981

  * libhildondesktop/hildon-home-area.c
  (hildon_home_area_place.c): treat the case where a widget
  previously placed has not been allocated a size yet.

  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_scroll_start,
  hildon_desktop_popup_menu_scroll_stop,
  hildon_desktop_popup_menu_scroll_initial_step,
  hildon_desktop_popup_menu_scroll_cb,
  hildon_desktop_popup_menu_remove_scroll_timeout): wait a certain time
  before doing the continous scrolling with scroll buttons in order to
  ensure that it's possible to scroll only one item with simple click.
  Fixes: NB#68835.

  * libhildondesktop/hildon-desktop-popup-window.c:
  (hildon_desktop_popup_window_leave_notify):
  - If receiving leave-notify when window is already close,
  gtk_grab_remove on the principal window.
  Fixes: NB#68827.

  * libhildondesktop/hildon-home-area.c:
  - when placing the applet, start by setting the parent, so
  the first size request is correct
  - set widget_child_visible to FALSE until placed, to avoid
  flickering.
  Fixes: NB#55915

  * src/hd-switcher-menu.c (hd_switcher_menu_create_notifications_menu,
  hd_switcher_get_default_icon_from_entry_info): make sure the blinking
  icon in switcher menu button has the correct dimensions.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 17 Sep 2007 09:38:48 +0300

hildon-desktop (1:0.0.35-2) sardine; urgency=low

  * debian/config/applications.menu: added osso-global-search.desktop.
  Fixes: NB#68840

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 10 Sep 2007 11:58:38 +0300

hildon-desktop (1:0.0.35-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_hide_extension),
  (hildon_desktop_panel_close_fullscreen),
  (hildon_desktop_panel_expandable_constructor):
  - Check the fullscreen signal to close the extension panel.
  Fixes: NB#68729

  * data/top-panel.conf.in, data/bottom-panel.conf.in: added
  default panel configurations for hildon-desktop
  * data/desktop.conf.in: change default layout to 2 panels,
  bottom and top
  * data/home.conf.in: removed maemo-specific plugins
  * data/tasknavigator.conf.in, data/statusbar.conf.in: removed
  maemo-specific panels
  * data/applications.menu: Removed maemo-specific applications

  * libhildondesktop/hildon-desktop-popup-menu.c: do not paint
  the ViewPorts as their background already have the right color

  * src/hd-switcher-menu.c (hd_switcher_menu_refresh_application_items,
  hd_switcher_menu_refresh_notification_items,
  hd_switcher_menu_constructor, hd_switcher_menu_hw_cb,
  hd_switcher_menu_osso_init,
  hd_switcher_menu_create_notifications_menu,
  hd_switcher_menu_changed_info_cb,
  hd_switcher_menu_notification_deleted_cb,
  hd_switcher_menu_notification_changed_cb): deactivate all blinking
  from switcher menu when hardware signal for system inactivity is 
  sent. Fixes: NB#60063.

  * src/hd-panel-window-dialog.c:
  - when using XComposite, redirect the window to avoid
  flicking when a menu or application comes on top
  * libhildondesktop/hildon-desktop-panel-window-composite.c:
  - cache the theme pattern painted on top of the home background
  to speed up painting

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_add_arrow):
  - Queue item to get the theme. Fixes: NB#66675

  * src/hd-desktop.c: (hd_desktop_plugin_list_to_conf):
  - Reverse list of plugins in order to not get reversed plugins in
  statusbar when installing/uninstalling an applet. 
  Fixes: NB#66911

  * libhildonwm/hd-wm.[ch]: (hd_wm_switch_instance_current_application):
  - Added new method to switch to prev/next application. Suggested by
  Horace Li from Intel.

  * libhildondesktop/hildon-desktop-panel-window-composite.c:
  - fixed invalidation of the window area when the desktop window
  changes

  * src/hd-home-window.c: save the container when an applet is
  removed, except when we are running the Select applets dialog,
  in which case HDDesktop does it for us

  * libhildondesktop/hildon-home-area.c: signal a layout change
  when placing or removing a widget

  * libhildondesktop/hildon-desktop-picture.[ch]:
  - added _picture_from_color
  * background-manager/background-manager.{c,h,xml.in}:
  - pass the picture identifier as argument, the picture is now
  expected to be created on client side
  - don't pass the background color any longer
  * background-manager/hbm-background.[ch]:
  - added picture property
  - do not create a new picture but paint on the provided one
  * src/hd-home-background.c: create a picture before passing
  it to the background manager.
  Fixes: NB#66928

  * libhildondesktop/hildon-home-area.[ch]: removed the "batch_add"
  optimization as it makes the code too complex
  * src/hd-home-window.c: do not call set_batch_add

  * libhildonwm (hd_wm_activate_window): correctly activate applications
  menu through keyboard shortcut. Fixes: NB#55569.

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): fix
  regression bug on defining whether to blink icon in switcher menu
  button or not. Fixes: NB#68371.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_constructor):
  - Insert the GtkTable into a GtkFrame
  * src/hd-panel-window-dialog.c:
  (hd_panel_window_dialog_constructor):
  - Set the theme to GtkTable's parent. Fixes partially: NB#65211

  * libhildondesktop/hildon-desktop-panel.c:
  (hildon_desktop_panel_refresh_items_status):
  - When refreshing items check if the container is a
  composited one (or so called hildon-desktop-container).
  Fixes: NB#63897

  * src/hd-switcher-menu.c (hd_switcher_menu_show_menu_cb): do not emit
  "toggled" signal twice to avoid popping up the switcher menu window 
  when it's already shown. Fixes: NB#65709.

  * libhildondesktop/hildon-home-area.c:
  - include the widgets to be batch-added in _forall

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): check
  menu item before testing the blinking in order to avoid critical
  warnings.

  * libhildondesktop/hildon-desktop-multiscreen.c:
  - properly pass the object as data to the size-changed handlers.
  Fixes: NB#66644

  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_release_event,
  hildon_desktop_popup_menu_press_event): handle selection on button
  press and menu item activation on release in order to explicitly 
  show the selection before activation. Fixes: NB#61740.

  * libhildondesktop/hildon-desktop-panel-window-composite.c.
  libhildondesktop/hildon-desktop-toggle-button.c:
  - chain style_set to parent class

  * libhildonwm/hd-wm.c: Fixed the leak of an X property

  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_icon_animation):
  add some safety checks before setting back from animation to pixbuf
  when blinking is disabled.
  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): disable
  blinking when the when the window entry info is not urgent anymore.
  Fixes: NB#58375.

  * libhildondesktop/hildon-desktop-picture.c,
  libhildondesktop/hildon-desktop-toggle-button.c,
  libhildondesktop/hildon-home-area.c,
  libhildondesktop/hildon-desktop-panel-window-composite.c,
  src/hd-home-window.c:
  - added some safeguard for X errors.

  * src/hd-switcher-menu.c (hd_switcher_menu_clear_item_activated), 
  src/hd-desktop.c (hd_desktop_system_notifications_filter): fix 
  checking of notification category prefixes. Fixes: #NB65180.

  * src/hd-applications-menu.c (hd_applications_menu_button_toggled):
  fix critical warning when popping down the window with no application
  menu item is selected.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_init),
  (hildon_desktop_panel_expandable_add_button),
  (hildon_desktop_panel_expandable_add_in_extension),
  (hildon_desktop_panel_expandable_arrange_items),
  (hildon_desktop_x_event_filter),
  (hildon_desktop_panel_remove_embed):
  - Add systray icons at the beginning.
  - Only add systray icons in the first panel. Added a limit of 
  systray icons items_p_row - 1
  Fixes: NB#64602, NB#60764
  * libhildonwm/hd-keys.c: (hd_keys_launch_application):
  - Launch osso-global-seach instead of unexisting "application" 
  isearch-applet.
  Fixes: NB#57374

  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - added missing gdk_error_trap_pop. Thanks Tommi!

  * src/hd-select-plugins-dialog.c (hd_select_plugins_dialog_get_store),
  src/hd-config.h: take the text domain from the plugin desktop file
  into account when defining the localized name in the select plugins
  dialog. Fixes: NB#67871.

  * data/restore-menu.sh: added script to restore default
  menu when a backup from an older release is restored.
  Fixes: NB#62758, NB#64546

  * src/main.c: added fork wrapper to unprotect children
  from OOM-killing and reset their priority. Fixes: NB#49535
  * src/hd-application-menu.c: removed duplicate code

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 10 Sep 2007 10:15:33 +0300

hildon-desktop (1:0.0.34-2) sardine; urgency=low

  * debian/config/*: added maemo-specific configuration
  * debian/rules: install maemo-specific configuration

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  7 Sep 2007 11:14:36 +0300

hildon-desktop (1:0.0.34-1) sardine; urgency=low

  * src/hd-panel-window-dialog.c,
  libhildondesktop/hildon-desktop-panel-expandable.c:
  - fixed a couple of warnings

  * libhildonwm/hd-wm.[ch]: Bring back the startup notification
  DBus method. Fixes: NB#55837

  * src/hn-app-button.c (hn_app_button_create_menu): do not attach the
  menu to the app button in order to make it always accessible.
  Fixes NB#66988.

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): refresh
  applications menu items when a generic entry info change notification
  arrives. 
  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_set_entry_info,
  hd_switcher_menu_item_class_init,
  hd_switcher_menu_item_compose_bkill_pixbuf): add bgkill emblem on
  entry info update in menu item. Fixes #59573.

  * src/hd-plugin-manager.c (hd_plugin_manager_sync):
  - do not unref the widgets after destroying them if the container
  does not require preserving the order. Fixes: NB#67049
  * src/hd-desktop.c:
  - add a flag to ignore monitoring of the container configuration
  after saving, so avoid an extra synching
  - include saving when selecting applets
  * src/hd-home-window.c:
  - let HDDesktop save the configuration when selecting applets

  * src/hd-applications-menu.c (hd_applications_menu_get_items): set the
  ellipsize behavior for menu items. Fixes NB#65999.

  * src/hd-select-plugins-dialog.c: do not free the
  desktop path after all

  * libhildonwm/hd-keys.c: dbus_message_append_args takes addresses,
  not values. Fixes: NB#67352

  * src/hd-desktop.c: fixed the leaks of some strings
  * src/hd-select-plugins-dialog.c: fixed the leak of a string
  and a keyfile
  * libhildondesktop/hildon-home-area.c: fixed the leaks
  of a list and a string
  * libhildonwm/hd-wm.c: fixed the leaks of some X atoms
  Fixes: NB#67175

  * libhildondesktop/hildon-desktop-popup-menu.[ch]
  (hildon_desktop_popup_menu_select_next_prev_item): optimizations and
  implementation for go to last item when the end of menu items list is
  reached.
  (hildon_desktop_popup_menu_key_press_event): optimizations by just
  using internal method for select next and previous items.
  (hildon_desktop_popup_menu_select_last_item): new method to select
  last menu item.
  (hildon_desktop_popup_menu_select_item): optimizations in order to
  avoid extra paints on menu items and to make it faster.
  Fixes #66744.

  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_scroll_start,
  hildon_desktop_popup_menu_scroll_stop,
  hildon_desktop_popup_menu_scroll_step,
  hildon_desktop_popup_menu_scroll_cb,
  hildon_desktop_popup_menu_scroll_constructor): scroll continuously on
  button press on scroll buttons. Button click scrolls on step down/up.
  Fixes NB#66827.

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): correctly
  calculate the position of an window in the stack in order to avoid
  blinking window icons both in switcher are and switcher menu.
  Fixes NB#57680.

  * Fixed signedness problem on libhildonmenu.c on line 1013: added
  cast to empty
  string to get rid of warning (which is treated as error) which
  blocked compilation
  on Ubuntu Gutsy. Fixes: NB#67207.

  * libhildondesktop/hildon-thumb-menu-item.c
  (hildon_thumb_menu_item_set_thumb_label): correctly set logical color
  ids for labels in thumb menu items. Fixes #62307.

  * libhildonwm/hd-wm-window.c (hd_wm_window_process_wm_name): emit
  signal for entry info changed accordingly.
  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_set_entry_info):
  update the window name label on entry info changed.
  Fixes NB#66546, NB#63271.

  * src/hd-home-window.c: handle the unable to read file
  error case from background manager. Fixes: NB#66197

  * src/hd-home-background-dialog.c: do not add the same
  background twice to the list. Fixes: NB#66007

  * libhildondesktop/hildon-home-area.c:
  - also recalculate mask after the state of a child is back to
  normal, if necessary. Fixes: NB#65895

  * libhildondesktop/libhildonmenu.[ch]: remove useless xmlreader.h
  includes. Fixes NB#67013.

  * src/hd-switcher-menu.c (hd_switcher_menu_check_content): set the
  size request of hidden extra pane in order to avoid having empty
  windows flickers. Fixes NB#67044. 
  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_show): check size request before showing
  extra panes.

  * src/hd-applications-menu.c
  (hd_applications_menu_button_button_press,
  hd_applications_menu_init): popup the menu on button press instead of
  button release. Fixes NB#33935.
  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_button_press_event): handle button
  press instead of button release for checking if the window should pop
  down.

  * src/hd-app-menu-dialog.c: set minimum width to 300px
  for new and rename category dialogs. Fixes: NB#64576

  * libhildondesktop/hildon-desktop-panel-window-composite.c: 
  * libhildondesktop/hildon-desktop-panel-window-composite.h: include
  also the X11/Xlib.h in the X_COMPOSITE code branch.

  * src/hd-home-window.c:
  - fixed CRITICAL warning

  * src/hd-desktop.c: return correct number of children
  in hd_desktop_plugin_dir_changed()

  * libhildondesktop/libhildonmenu.c:
  - use "<All/>" to mark the default folder
  - do not create Extras if no unallocated items
  * src/hd-applications-menu.c: added safegard against
  destroying NULL window
  * data/applications.menu: mark the Extras menu as being the default.
  Fixes: NB#63084

  * src/hd-desktop.c:
  - if no user-wide configuration file for a container, copy
  it locally
  * src/hd-home-window.c:
  - same thing for home area layout and background.
  Fixes: NB#61978

  * libhildondesktop/hildon-desktop-home-item.c:
  - removed handling of the tap-and-hold
  - when the user taps for more than 400ms without move, propagate
  the button-press and button-release
  - when in normal state, propagate motion-notify events
  Fixes: NB#66765, NB#66429

  * src/hd-applications-menu.c (hd_applications_menu_changed): popdown
  the window when the menu changes in order to avoid critical warnings
  when updating the menu. Fixes NB#66635.

  * src/hd-switcher-menu.c (hd_switcher_menu_constructor): correctly set
  switcher menu plugin size request. Fixes NB#61606.

  * src/hd-applications-menu.c
  (hd_applications_menu_categories_motion_notify): reset previously
  selected item from motion notify to avoid problem on focus moving.
  Fixes #66207.

  * src/hd-switcher-menu.c (hd_switcher_menu_create_notifications_menu,
  hd_switcher_menu_notification_deleted_cb): reset main icon when a
  blinking notification is deleted. Fixes NB#65335.

  * src/hd-switcher-menu.c (hd_switcher_menu_update_open): ensure the
  active window menu item is selected when opening switcher menu.
  Fixes bug NB#65439.

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 31 Aug 2007 15:38:17 +0300

hildon-desktop (1:0.0.33-2) sardine; urgency=low

  * Add build-dep to maemo-launcher-dev
  * Use pkg-config to retrieve maemo-launcher compilation flags.
    Patch courtesy of Leonid Moiseichuk. Fixes: NB#65937

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 29 Aug 2007 14:10:43 +0300

hildon-desktop (1:0.0.33-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-expandable.c: set accept_focus
  FALSE on extension window. Fixes NB#65209.
  
  * data/applications.menu: replace modest with osso email in default
  applications menu layout.
  
  * libhildondesktop/hildon-desktop-popup-menu.c: fix theming on the
  arrows by setting the correct height for the scroll buttons box.
  * src/hd-applications-menu.c: do not re-activate categories when they
  are already selected.
  
  * src/hd-applications-menu.c, src/hd-switcher-menu.c: do not
  explicitly set separator's size request and take it from style.
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_add_item): add menu item before querying
  size requests in order to correctly get style from theme.
  
  * libhildondesktop/hildon-desktop-popup-menu.c: fix sizing of internal
  items box for all parenting cases.
  
  * src/hd-home-background.c, src/hd-home-window.c, src/hn-app-button.c,
  libhildondesktop/libhildonmenu.c,
  libhildondesktop/hildon-desktop-panel-expandable.c,
  libhildondesktop/hildon-desktop-panel-window-dialog.c,
  libhildondesktop/hildon-desktop-panel-window.c: disabled all debugging
  messages by default.
  
  * src/hd-switcher-menu.c (hd_switcher_menu_show_menu_cb): close all
  other temporary windows when opening switcher menu with Home key.
  Fixes NB#61425.
  
  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_composited_button_release): fixed wrong
  behavior when clicking outside extra pane window. Check if the window
  is visible when handling button releases. Fixes NB#65177.
  
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_init): do not allow focus on scrolling
  buttons in order to avoid them to steal the focus from menu items.
  Fixes NB#64983.
  
  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_button_release_event): fixed wrong behavior
  when clicking outside the popup window.
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_init,
  hildon_desktop_popup_menu_update_scroll_buttons,
  hildon_desktop_popup_menu_scroll_cb): correctly update the state of
  scroll buttons depending on the position of the scrolling. 
  Fixes NB#65438.
  
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_parent_size,
  hildon_desktop_popup_menu_size_allocate): fix strange resizing of menu
  items when adding/removing items from the menu.
  
  * libhildondesktop/hildon-desktop-panel-expandable.c
  (hildon_desktop_panel_expandable_hide_on_delete,
  hildon_desktop_panel_expandable_constructor): set panel extension
  window as temporary and hide the window on delete event. 
  Patch from Tapani Palli <tapani.palli@nokia.com>. Fixes NB#64386.
  
  * libhildondesktop/hildon-desktop-notification-manager.c
  (hildon_desktop_notification_manager_notify): validate main parameters
  summary, description and icon before adding/updating notifications
  in the model. Fixes NB#62162.
  
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_menu_check_scroll_item,
  hildon_desktop_popup_menu_scroll_to_selected,
  hildon_desktop_popup_menu_key_press_event,
  hildon_desktop_popup_menu_select_next_prev_item): fix scrolling
  behavior on key press, select next item and scroll to selected item
  functionalities in popup menu. Fixes NB#54023.
  
  * src/hd-switcher-menu.c (hd_switcher_menu_update_highlighting): set
  the widget name for highlighted state.
  
  * libhildondesktop/hildon-desktop-notification-manager.c,
  libhildonwm/hd-wm-window.c: change default application/notification
  icon size to 40px. Fixes NB#64981.
  
  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_constructor):
  increase padding around application/notification icon.
  
  * src/hd-switcher-menu.c (hd_switcher_menu_create_applications_menu):
  show application windows in the correct order (last opened on the top
  of the list). Fixes NB#63637.
  
  * src/hd-home-window.c (pid_from_exec_name,
  background_apply_callback): kill a potential osso_startup_greeting
  process after applying the background image in home window.
  
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_constructor): invert the order of the
  scrolling buttons. Fixes NB#65948.
  
  * libhildondesktop/hildon-desktop-popup-window.c: handle delete_event
  on extra panes in order to avoid them to be destroyed by a
  gdk_close_all_temporary_windows() call.
  * src/hd-switcher-menu.c: polished the handling of Home key long and
  short press.
  
  * libhildondesktop/hildon-desktop-home-item.c: remove default handler
  for settings signal as it brakes plugins with old API.
  
  * src/hd-switcher-menu.c (hd_switcher_menu_toggled_cb,
  hd_switcher_menu_show_menu_cb): Do not popup window again when menu is
  already opened and the next running application is activated.
  Fixes NB#65614.
  
  * libhildondesktop/hildon-home-titlebar.c
  (hildon_home_titlebar_set_menu): do not detach menu because it was
  never attached anywhere.
  
  * src/hd-applications-menu.c: set name for the correct separator
  widget.
  
  * src/hd-switcher-menu.c, src/hd-applications-menu.c: correctly set
  widget name for separators in order to make them themable.
  
  * src/hd-switcher-menu.c (hd_switcher_menu_check_content,
  hd_switcher_menu_constructor): correctly set notification extra 
  pane height in order to avoid having an empty pane flicking besides
  application pane.
  
  * src/hd-switcher-menu.c (hd_switcher_menu_scroll_to): fix crasher
  when using home key with long and short presses.
  
  * src/hd-switcher-menu-item.c, src/hd-home-window.c: tiny code
  cleanups.
  * libhildonwm/hd-wm-desktop.c (hd_wm_desktop_entry_info_init,
  hd_wm_desk_info_is_hibernating, hd_wm_desk_info_is_urgent,
  hd_wm_desk_info_get_icon): provide sane default implementation for
  certain HDWMEntryInfo methods in order to avoid critical warning.
  Fixes NB#62461.
  
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_motion_notify,
  hildon_desktop_popup_menu_press_event): draw selection on activated
  menu item. Fixes NB#61740. Optimized selection code on button press
  and motion notify.
  
  * src/hd-applications-menu.c, src/hd-switcher-menu.c: fix runtime
  warnings related to attaching the window to NULL widgets.
  * src/hn-app-button.c: removed useless debug print.
  * libhildonwm/hd-wm.c (mce_handler): close all temporary windows
  before activating switcher menu. 
  
  * libhildondesktop/hildon-desktop-marshalers.list, 
  libhildondesktop/hildon-desktop-home-item.c
  (hildon_desktop_home_item_class_init): correctly set "settings" signal
  with OBJECT return type and input parameters.
  
  * libhildondesktop/hildon-desktop-popup-window.c: mark the extra panes
  as temporary windows.
  
  * src/hd-select-plugins-dialog.c: remove use of deprecated property.
  
  * src/hd-panel-window-dialog.c: fixed critical warning when getting
  extension from expandable panel.
  
  * src/hd-panel-window-dialog.c: set widget name of panel expandable to
  "HildonStatusBarExtension".

 -- Lucas Rocha <lucas.rocha@nokia.com>  Fri, 24 Aug 2007 14:39:13 +0300

hildon-desktop (1:0.0.32-1) sardine; urgency=low

  * libhildonwm/hd-wm.c: revert change that closes temporary windows on
  hw key press because it brings a crasher and it's not the expected
  UI behavior.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 15 Aug 2007 15:44:45 +0300

hildon-desktop (1:0.0.31-1) sardine; urgency=low

  * src/hd-applications-menu.c, src/hd-switcher-menu.c: fix runtime
  warnings related to attaching the window to NULL widgets.
  * src/hn-app-button.c: removed useless debug print.
  * libhildonwm/hd-wm.c (mce_handler): close all temporary windows
  before activating switcher menu. 
  
  * libhildondesktop/hildon-desktop-marshalers.list, 
  libhildondesktop/hildon-desktop-home-item.c
  (hildon_desktop_home_item_class_init): correctly set "settings" signal
  with OBJECT return type and input parameters.
  
  * libhildondesktop/hildon-desktop-popup-window.c: mark the extra panes
  as temporary windows.
  
  * src/hd-select-plugins-dialog.c: remove use of deprecated property.
  
  * src/hd-panel-window-dialog.c: fixed critical warning when getting
  extension from expandable panel.
  
  * src/hd-panel-window-dialog.c: set widget name of panel expandable to
  "HildonStatusBarExtension".

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 15 Aug 2007 15:00:43 +0300

hildon-desktop (1:0.0.30-2) sardine; urgency=low

  * Added build dependency on gtk-doc-tools

 -- Lucas Rocha <lucas.rocha@nokia.com>  Tue, 14 Aug 2007 15:12:11 +0300

hildon-desktop (1:0.0.30-1) sardine; urgency=low

   * src/hd-applications-menu.c: fix and change the way category menu
   items are painted when activated.
   
   * libhildondesktop/hildon-desktop-item.c:
   - some API doc
   
   * libhildondesktop/hildon-desktop-home-item.h,
     libhildondesktop/hildon-home-area.c:
   - move keyfile keys for applet layout where they belong
   
   * doc/hildon-desktop-docs.sgml: added template
   
   * libhildondesktop/hildon-home-area.c: removed unused layout-mode
   property
   
   * src/hd-desktop.c: add a weak reference to the window
   when creating a ping note, so the note can be destroyed
   when the window is removed.
   Fixes: NB#65383
   
   * libhildondesktop/hildon-desktop-home-item.c:
   - fixed adding the settings menu to the context-sensitive menu
   
   * libhildondesktop/hildon-desktop-home-item.c:
   - set the widget as having a window in _init
   - clean up of properties
   
   * libhildondesktop/hildon-desktop-home-item.[ch]:
   - API documentation
   
   * libhildonwm/hd-wm.c (hd_wm_process_x_client_list): notify stack
   changes when an application comes is activated from hibernation.
   Fixes NB#51276.
   
   * libhildondesktop/hildon-home-area.[ch],
     libhildondesktop/hildon-desktop-home-item.[ch],
     src/hd-home-window.[ch]:
   - removed all code related to layout mode
   
   * doc/*: first attempt at getting gtkdoc working
   
   * src/hd-switcher-menu.c: changed switcher menu icon size to 40px.
   Fixes NB#61606.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Tue, 14 Aug 2007 11:43:12 +0300

hildon-desktop (1:0.0.29-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-window-composite.c:
  - propagate configure event to parent class

  * libhildondesktop/hildon-desktop-home-item.c: do not create
  the resize window if resize_type == NONE

  * src/hd-home-window.c:
  - handle some more errors from GdkPixbugLoader as corrupted images

  * src/hd-home-background.c:
  - empty background do not require caching

  * libhildondesktop/hildon-desktop-panel-window-composite.[ch]:
  - make the tracking of the home window base-class specific,
  so it's done once for all instances of the subclasses.
  * libhildondesktop/hildon-desktop-panel-window-dialog.[ch]:
  - inherit from HildonDesktopPanelWindowComposite. This enables
  transparency in the statusbar.

  * src/hd-applications-menu.c: re-estabilished the correct focus/selection
  handling between panes.

  * data/applications.menu:
  - added some apps to My selection

  * libhildondesktop/hildon-desktop-home-item.[ch]:
  - added _lower / _raise
  - create an event box on top of the applet. Catch all clicks,
  and propagate them if they are later found not to be drags
  - handle context-sensitive menu
  Fixes: NB#61309

  * libhildondesktop/hildon-desktop-popup-menu.c: activate menu item on
  button press.
  * src/hd-applications-menu.c: polished the focus-handling code.

  * libhildonwm/hd-wm.c:
  - use "_MB_NUM_SYSTEM_MODAL_WINDOWS_PRESENT" instead of
  "_MB_NUM_MODAL_WINDOWS_PRESENT" to track toplevel windows
  Fixes: NB#63808

  * background-manager/hbm-background.c:
  - do not check if the MMC bay is opened anymore, the
  volume will not be unmounted if it is anyway
  * src/hd-home-window.c, src/hd-home-l10n.h:
  - remove handling of the "MMC cover open" error
  * background-manager/Makefile.am:
  - do not link against gconf anymore
  Fixes: NB#63137

  Right-to-left dance:
  * src/hd-desktop.c:
  - Mirror the x value and the orientation.
  * src/hd-applications-menu.c, src/hn-app-button.c,
    src/hn-others-button.c, src/hd-switcher-menu.c:
  - Mirror the keypress (e.g. you press right button in LTR but
  it should be left button in RTL).
  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Adjust the x position of the child widget in RTL.
  * libhildondesktop/hildon-home-titlebar.c:
  - Mirror the x position of the menu in RTL.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  6 Aug 2007 20:22:28 +0300

hildon-desktop (1:0.0.28-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-window.c:
  (hildon_desktop_popup_window_composited_leave_notify):
  - Check if the menu has been already closed in order to not grab
  anything just when we don't have to.
  * src/hd-switcher-menu.c: (hd_switcher_menu_toggled_cb):
  - Don't call popdown if not necessary.

  * background-manager/hbm-background.c:
  - report error in opening the cache for writing as
  device full

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - do not free the keys used in the hash table as they
  are owned by the desktop item

  * background-manager/Makefile.am:
  - increase timeout to 2 minutes
  * src/hd-home-window.c:
  - handle the out-of-memory situation more gracefully

  * src/hd-applications-menu.c
  (hd_applications_menu_categories_motion_notify): only activate item
  when the selected menu item has changed.

  * src/hd-applications-menu.c
  (hd_applications_menu_categories_motion_notify): make the motion
  notify handler lighter so that it doesn't bring performance problems.
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_motion_notify): propagate the motion event

  * src/hd-app-menu-tree.c:
  - set the cursor to the previous one when deleting
  a category. Fixes: NB#63457

  * libhildondesktop/libhildonmenu.c: line 645: fixed signedness
  compilation warning which occurs on newer gcc compilers. Added
  cast to (gchar *) to key.

  * libhildondesktop/hildon-desktop-popup-menu.c: small layout fix on
  the viewport height.

  * src/hd-switcher-menu.c, src/hd-applications-menu.c: use new "parent"
  property of HildonDesktopPopupMenu to correctly handle scroll buttons.
  Several layout fixes. Use separator between menu items. Set names of
  scroll buttons in order to make the menu themable.
  * src/hd-switcher-menu-item.c: several layout fixes.
  * libhildondesktop/hildon-desktop-popup-menu.c: added "parent"
  property which holds the parent widget which defines the maximum
  height for the menu. Take the border-width from "parent" widget into
  account when setting its size. Several fixes in the sizing behavior.

  * src/hd-app-menu-dialog.c:
  - do not allow adding an existing category
  - show the corresponding info banner.
  Fixes: NB#63132

 -- Johan Bilien <johan.bilien@nokia.com>  Wed,  1 Aug 2007 17:37:53 +0300

hildon-desktop (1:0.0.27-1) sardine; urgency=low

  * src/hd-plugin-loader-legacy.c:
  - added safegard against uninitialized widget in statusbar plugin
  initialization.
  Fixes: NB#64509

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 30 Jul 2007 14:43:27 +0300

hildon-desktop (1:0.0.26-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_realize): set background pixmap to NULL
  to avoid flicking when showing the window. Fixes NB#64459

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 27 Jul 2007 17:47:59 +0300

hildon-desktop (1:0.0.25-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_add_in_extension),
  (hildon_desktop_panel_expandable_arrange_items):
  - Fixed positioning on extension panel
  - If not positioned don't unref the object.
  Fixes: NB#63894

  * background-manager/hbm-background.c: treat storage full
  in a special case
  * src/hd-home-window.c: show a "flash full" banner,
  if the cache could not be written or if the background settings
  could not be saved.
  Fixes: NB#62511

  * src/hd-desktop.c (hd_desktop_init): do not abord if it's not
  possible to create the user configuration directory.

  * src/hd-applications-menu.c (hd_applications_menu_create_menu,
  hd_applications_menu_categories_motion_notify): make the categories
  pane behave like normal menus by activating menu items when the
  pointer passes over. Fixes NB#62108

  * libhildondesktop/hildon-home-area.c:
  - when loading layout, width, height and stack order are not
  mandatory
  * data/home-layout.conf, data/home.conf.in, data/desktop.conf.in:
  - fixed initial home layout.
  Fixes: NB#64422

  * src/hd-switcher-menu.c (hd_switcher_menu_create_notifications_menu):
  close switcher menu when a notification is activated. Fixes NB#63102

  * src/hd-switcher-menu.c (hd_switcher_menu_create_notifications_menu):
  correctly set the switcher menu icon with the latest notification
  icon. Fixes NB#63134

  * background-manager/Makefile.am: fixed typo and a build warning.

  * src/hd-plugin-manager.c (hd_plugin_manager_sync): fixed object
  references leaks on plugins when syncing. Fixes NB#62321

  * hildon-desktop-background.[ch]:
  - added _get_filename method

  * src/hd-desktop.c: (hd_desktop_ping_timeout_dialog_response):
  - If the application is recovered and Ok is pressed destroy the dialog
  because the HDWMWindow doesn't exist anymore. Fixes: NB#64333

  * background-manager/background-manager.{c,h,xml.in}:
  - added cache argument, to tell the background manager
  to keep a local copy of the image file
  * libhildondesktop/hildon-desktop-background.c:
  - added cache property
  * background-manager/hbm-background.c:
  - if the cache property is set, copy the image file to it
  * src/hd-home-background.c:
  - before applying, check if the file is on a remote
  filesystem or an MMC, in which case ask the background
  manager to cache the file
  - when saving, clean the background cache directory.
  Fixes: NB#61734

  * data/applications-menu.desktop.in:
  - Changed name to localized one. Fixes: NB#64295

  * src/hd-home-background.[ch],
    libhildondesktop/hildon-desktop-background.[ch]:
  - removed unused area argument
  * background-manager/background-manager.{c,h,xml.in}:
  - removed corresponding _offset arguments

  * background-manager/hbm-background.c:
  - added cropping before uploading to X

  * libhildondesktop/Makefile.am: added built sources to clean list.

  * src/hd-switcher-menu.c: (hd_switcher_menu_switcher_keypress_cb):
  - Fixed toggle button's key handler to allow navigation focus.
  Fixes: NB#63180

  * libhildondesktop/hildon-desktop-background.[ch]:
  - made the Background class available to others
  * src/hd-home-background.[ch]:
  - inherit from DesktopBackground and implement save/load and
  apply
  * background-manager/hbm-background.[ch]:
  - added server side background object
  - scale the pixbuf before uploading to X
  * background/background-manager.c:
  - use the new object
  Fixes: NB#62469, NB#59343

  * src/hd-home-background-dialog.c:
  (hd_home_background_dialog_filename_changed):
  - Check for priv->background before doing anything.
  Fixes: NB#63855

  * src/hn-app-switcher.c: (refresh_app_button), (refresh_buttons):
  - Set always icon geometry for windows.
  - When not in slot, take also into account the panel position.
  Fixes: NB#64082

  * libhildondesktop/hildon-desktop-panel-window.c:
  (hildon_desktop_panel_window_in_focus),
  (hildon_desktop_panel_window_constructor):
  - Ignore focus-in events for panels that can-focus == FALSE
  * libhildonwm/hd-wm.c: (hd_wm_reset_focus):
  - Unset focus for window where others buttons is placed.
  * src/hd-applications-menu.c: (hd_applications_menu_key_press):
  * src/hd-switcher-menu.c:
  (hd_switcher_menu_popup_window_keypress_cb):
  - set toplevel to can-focus
  Fixes: N#63854

  * src/hd-applications-menu.c (hd_applications_menu_init): check if
  directories exists before adding monitors in order to avoid desktop
  process from waking up every now and then. Fixes NB#62159.

  * src/hn-app-switcher.c: (refresh_app_button):
  - Take into account position of the toplevel window.
  Fixes: NB#64024

  * libhildonwm/hd-wm.c:
  (hd_wm_x_window_is_watchable):
  - Removed redundant banner when an HDWApplication is launched.
  Fixes: NB#61257

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 27 Jul 2007 16:57:28 +0300

hildon-desktop (1:0.0.24-1) sardine; urgency=low

  * libhildonwm/hd-keys.c: (hd_keys_action_power):
  - Added sanity check.
  * src/hn-app-switcher.c: (refresh_buttons):
  - Set the icon geometry for application switcher menu.

  * src/hd-switcher-menu.c: (hd_switcher_menu_check_content):
  - Jump to first panel (-1) as soon as we don't have notifications.
  Fixes: NB#63242

  * data/statusbar.conf.in:
  - Revert old hildon-status-bar-usb.desktop
  * src/hd-switcher-menu.c: (hd_switcher_menu_check_content):
  - move the grab to first panel when no notifications.
  * src/hn-app-button.c: (hn_app_button_create_menu):
  - Don't attach the widget. Fixes: NB#62048

  * libhildondesktop/hildon-desktop-panel-window-composite.c:
  - if the panel background size does not match the panel size,
  stretch it

  * libhildondesktop/hildon-desktop-panel-window-composite.[ch],
  src/hd-panel-window.[ch]:
  - moved the compositing part of hd-panel-window to a generic
  subclass so it can be used by other panels

  * src/hd-home-window.c:
  - do not send a foreground event when the screen is turned on
  but the home is in the background.
  Fixes: NB#60875

  * src/hd-home-window.c:
  - do not send a foreground event when the screen is dimmed

  * src/hd-home-window.c:
  - do not send a foreground event when the screen is dimmed

  * src/hd-app-menu-dialog.c:
  - make Ok button insensitive in Rename and New dialogs when the
  entry is empty
  - add corresponding insensitive message
  - use correct strings for both.
  Fixes: NB#63129

  * libhildondesktop/hildon-desktop-popup-menu.c: reduce 4px on scroll
  buttons height to make it fit the screen.
  * src/hd-applications-menu.c: added arrows inside scroll buttons.
  Several naming fixes in order to make the theming work.

  * src/Makefile.am: fix build errors.

  * src/Makefile.am:
  - Added marshaler for container's signal
  * src/hd-marshalers.list:
  - New marshaler for hd-panel-window-dialog.c
   * src/hd-panel-window-dialog.c:
  (hd_panel_window_dialog_notify_condition),
  (hd_panel_window_dialog_cadd), (hd_panel_window_dialog_queued),
  (hd_panel_window_dialog_constructor),
  (hd_panel_window_dialog_class_init):
  - Moved signal to gobject code to get advantage of dbus binding.
  - Connect only if the object hasn't been connected before.
  * src/statusbar.xml:
  - added signal

  * libhildondesktop/hildon-home-area.c: Fixed compiler warning

  Fixed make dist:
  * libhildonwm/hd-wm.c: do not include libosso.h (not used)
  * */Makefile.am: removed legacy EXTRA_DIST rule
  * libhildondesktop/Makefile.am: fixed typo in source file list
  Thanks to Richard Hult for poiting these out

  * src/Makefile.am, src/hd-panel-window-dialog.[ch]
  (hd_panel_window_dialog_notify_condition),
  (hd_panel_window_dialog_cadd),
  (hd_panel_window_dialog_constructor),
  (hd_panel_window_dialog_class_init), (hd_panel_window_dialog_init),
  (hd_panel_window_dialog_refresh_items_status): add a D-Bus interface
  to Statusbar in order to be able to refresh the items status from
  plugins settings applet.
  * src/statusbar.xml: Statusbar D-Bus API definition.

  * Implemented: NR#182576, NR#182575, NR#182393, NR#182392, NR#182391, NR#182390, NR#182389, NR#182388

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 17 Jul 2007 16:20:44 +0300

hildon-desktop (1:0.0.23-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-menu.c:
  (hildon_desktop_popup_menu_paint),
  (hildon_desktop_popup_menu_constructor): paint box in the
  HildonDesktopPopupMenu and its internal viewport to make it more
  friendly for theming.
  * src/hd-applications-menu.c (hd_applications_menu_create_menu): set
  the widgets names to enable theming on application menu.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_hide_extension),
  (hildon_desktop_panel_expandable_add_button),
  (hildon_desktop_panel_expandable_requeue_last_in_panel):
  - Hide the extension panel if we are adding a button.
  - Fixed when reparenting last item when arrow is going to be added.

  * src/hd-switcher-menu.c
  (hd_switcher_menu_add_notification_group,
  hd_switcher_menu_constructor,
  hd_switcher_menu_create_notifications_menu,
  hd_switcher_menu_create_applications_menu): set widget names to
  prepare the switcher menu for theming. Only use the notification
  groups if the notifications are associated with them to avoid crashers
  on desktop.

  * src/hd-app-menu-tree.c:
  - added missing scrolled window on both tree

  * src/hn-app-switcher.c: (refresh_buttons):
  - Set icon geometry for children of application (HDWMWindows) not the
  application itself.

  * libhildondesktop/hildon-desktop-popup-window.c:
  (hildon_desktop_popup_window_leave_notify):
  - Check wether we are going to a composited window only if those are
  visible.

  * libhildondesktop/libhildonmenu.c:
  - restored the code to use Extras as default folder

  * src/hd-app-menu-tree.c: Added drag-begin applet
  to set the drag icon as specified

  * data/applications-menu.desktop.in: added Icon:
  * data/Makefile.am: do not install others-button.desktop

  * src/hd-app-menu-tree.c: added "drag-motion" handler
  for both trees

  * libhildondesktop/hd-app-menu-tree.[ch]:
  - added "item-selected" signal when a menu item is selected
  * libhildondesktop/hd-app-menu-dialog.[ch]:
  - dim the Rename and Delete button when a menu item is selected
  - set the insensitive messages for these.

  * libhildondesktop/hd-app-menu-tree.c: use LOCALIZED_NAME for
  adding and renaming categories

  * libhildondesktop/libhildonmenu.c: added LOCALIZED_NAME column
  * src/hd-application-menu.c: use the LOCALIZED_NAME column
  instead of translating locally.
  * src/hd-app-menu-tree.c: use the LOCALIZED_NAME column

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 10 Jul 2007 09:40:18 +0300

hildon-desktop (1:0.0.22-1) sardine; urgency=low

  * added libxcomposite-dev back as build-dep
  * include /usr/lib/hildon-desktop in the package

  * src/hd-desktop.c: (hd_desktop_launch_banner_timeout):
  - Remove the banner as soon as the application has windows.

  * src/hd-applications-menu.c (hd_applications_menu_has_focus):
  correctly check where the focus is in the menus to avoid keyboard
  navigation problems. Fixes NB#60958.

  * libhildondesktop/hildon-home-area.c:
  - sort the stack order after the container is realized,
  instead of doing it after each child. This was changing the
  order of the children while the same list was being iterated.

  * libhildondesktop/notification-manager.xml,
  libhildondesktop/hildon-desktop-notification-manager.c
  (hildon_desktop_notification_manager_get_server_info): don't return
  spec version as this is not in the spec.

  * data/statusbar.conf.in:
  - Renamed usb statusbar plugin.

  * data/desktop.conf.in:
  - Added X-Load-New-Plugins for statusbar
  * data/install_sbapplet.sh:
  - exit 0; script for backward-compatibility
  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - disabled sb_debug output
  * libhildonwm/hd-wm-desktop.c: code cleanup.
  * libhildonwm/hd-wm-window.c: (hd_wm_window_close):
  * libhildonwm/hd-wm.[ch]:
  - gdk_close_all_temporary_windows is MAEMO_CHANGES
  - Treat menu_button as a gobject not gtkwidget.
  - Removed unused methods
  * src/hd-applications-menu.c:
  * src/hn-others-button.c:
  - Pass the menu button as a GObject.
  * src/hd-switcher-menu.c:
  * src/hn-app-switcher.c:
  - disabled debug output
  * src/hn-app-button.c:
  - Partially fixed size of menu_items
  - disabled debug ouput

  * src/hd-desktop.c: Explicitely use dgettext when translating
  the kill application dialog.
  Fixes: NB#62248, NB#62270

  * libhildondesktop/hildon-home-area.c: fixed build warning.

  * data/Makefile.am, data/notification-groups.conf: new notification
  grouping configuration file.
  * libhildondesktop/hildon-desktop-notification-manager.[ch]
  (hildon_desktop_notification_manager_call_dbus_callback): new method
  to send a dbus message from a string description. This is used by the
  notification group menu item to make the dbus call for the group.
  * src/hd-switcher-menu-item.[ch] (hd_switcher_menu_item_finalize,
  hd_switcher_menu_item_set_property, hd_switcher_menu_item_get_property,
  hd_switcher_menu_item_constructor, hd_switcher_menu_item_activate,
  hd_switcher_menu_item_button_release_event, 
  hd_switcher_menu_item_class_init, hd_switcher_menu_item_init,
  hd_switcher_menu_item_new_from_notification_group,
  hd_switcher_menu_item_compare_ids, hd_switcher_menu_item_has_id):
  new type of HDSwitcherMenuItem for notification group items.
  * src/hd-switcher-menu.c (hd_switcher_menu_free_notification_group,
  hd_switcher_menu_add_notification_group,
  hd_switcher_menu_add_notification_groups,
  hd_switcher_menu_reset_notification_group,
  hd_switcher_menu_reset_notification_groups,
  hd_switcher_menu_load_notification_groups,
  hd_switcher_menu_constructor, hd_switcher_menu_finalize,
  hd_switcher_menu_clear_item_activated,
  hd_switcher_menu_create_notifications_menu, 
  hd_switcher_menu_notification_deleted_cb): support for notification
  grouping based on a configuration file (notification-groups.conf).

  * policies/tasknavigator-policy.c (is_gap_plugin,
  hd_ui_policy_module_filter_plugin_list): allow setting the position of
  the applications menu plugin but keep it as mandatory.

  * src/hd-app-menu-dialog.[ch]:
  - added dialog to manage application menu
  * src/hd-app-menu-tree.[ch]:
  - added 2-views tree view to manage application menu
  * src/hd-applications-menu-settings.c:
  - exported symbol for the hildon-plugin-settings
  * src/hd-applications-menu.c:
  - modified to expect multiple root tree store
  * libhildondesktop/libhildonmenu.c:
  - hacked to generate multiple-root tree store
  * src/Makefile.am: added configuration library for
  the application menu
  * data/applications-menu.desktop.in: Changed path
  to settings library

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_cadd),
  (hildon_desktop_panel_expandable_cremove),
  (hildon_desktop_panel_expandable_add_button),
  (hildon_desktop_panel_expandable_add_in_extension),
  (hildon_desktop_panel_expandable_requeue_last_in_panel):
  - Some further fixes for statusbar.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Fixed debug macro
  * libhildondesktop/hildon-desktop-popup-window.c:
  (hildon_desktop_popup_window_visibility_notify),
  (hildon_desktop_popup_window_composited_button_release),
  (hildon_desktop_popup_window_button_release_event):
  - Added some comments.
  * src/hd-applications-menu.c: (hd_applications_menu_create_menu):
  - Not attach the widget in order to be transient for root window and
  be shown on top of vkb.
  * src/hd-switcher-menu.c: (hd_switcher_menu_constructor):
  - Not attach the widget in order to be transient for root window and
  be shown on top of vkb.
  - Fixes: NB#62048.

  * src/hd-home-l10n.h: Added NOLOC comments

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_get_children),
  (hildon_desktop_panel_expandable_cremove),
  (hildon_desktop_panel_expandable_add_button),
  (hildon_desktop_panel_expandable_add_in_extension),
  (hildon_desktop_panel_expandable_hash_adding),
  (hildon_desktop_panel_expandable_arrange_items),
  (hildon_desktop_panel_expandable_add_arrow),
  (hildon_desktop_panel_remove_embed),
  (hildon_desktop_panel_embed_applet):
  - Fixed reloading of configuration. Fixes: NB#59584
  * libhildonwm/hd-wm.h:
  - Added hd_wm_debug. By default does nothing.
  - Removed HN_DBG/HN_MARK
  * libhildonwm/hd-keys.c:
  * libhildonwm/hd-wm-application.c:
  * libhildonwm/hd-wm-memory.c:
  * libhildonwm/hd-wm-window.c:
  * libhildonwm/hd-wm.c:
  - Use of hd_wm_debug instead of g_debug/HN_DBG
  * src/hd-switcher-menu-item.c:
  * src/hn-app-button.c:
  * src/hn-app-tooltip.c:
  - Use of hd_wm_debug instead of HN_DBG

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  6 Jul 2007 10:28:40 +0300

hildon-desktop (1:0.0.21-2) sardine; urgency=low

  * Added initscript to conffiles

 -- Johan Bilien <johan.bilien@nokia.com>  Wed,  4 Jul 2007 16:24:18 +0300

hildon-desktop (1:0.0.21-1) sardine; urgency=low

  * src/Makefile.am, configure.ac: added optional dependency on mce-dev
  to be used by the led pattern handling on switcher menu.
  * debian/control: added build dependency on mce-dev.
  * src/hd-switcher-menu.c (hd_switcher_menu_set_led_pattern,
  hd_switcher_menu_update_open, hd_switcher_menu_update_close): added
  support for "led-pattern" hint. If the hint is set, a D-Bus message is
  sent to MCE service for led pattern activation/deactivation.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Jul 2007 16:16:39 +0300

hildon-desktop (1:0.0.20-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-window.c:
  - gtk_window_temporary is now gtk_window_set_temporary

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Jul 2007 10:30:54 +0300

hildon-desktop (1:0.0.19-1) sardine; urgency=low

  * data/home{-layout}.conf:
  - added promo-plugin

  * libhildondesktop/Makefile.am:
  * libhildondesktop/hildon-desktop-container.c:
  - New interface for creating composited containers (containers made
  out of more than one container)
  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_container_init),
  (hildon_desktop_panel_expandable_class_init),
  (hildon_desktop_panel_expandable_constructor),
  (hildon_desktop_panel_expandable_get_children),
  (hildon_desktop_panel_expandable_cadd),
  (hildon_desktop_panel_expandable_cremove),
  (hildon_desktop_panel_expandable_set_property),
  (hildon_desktop_panel_expandable_button_destroyed),
  (hildon_desktop_panel_expandable_add_button),
  (hildon_desktop_panel_expandable_add_in_extension),
  (hildon_desktop_panel_expandable_arrange_items),
  (hildon_desktop_panel_expandable_requeue_last_in_panel):
  - Fixing reorder when new configuration is loaded.
  * src/hd-plugin-manager.c: (hd_plugin_manager_sync):
  - Check if the container is a HildonDesktopContainer when syncing.

  * libhildondesktop/hildon-desktop-home-item.c:
  - apply the background from the style in realize

  * libhildondesktop/hildon-home-area.c:
  - added safeguard against unrealized children in _style_set

  * src/hd-home-window.c:
  - removed _notify handler as we don't need to adapt the background
  to the work area anymore.
  * background-manager/main.c:
  - added g_set_prgname and g_init_thread to quiet Glib and GDK
  Fixes: NB#62097

  * src/hd-home-window.c:
  - fixed bogus check in the display state handler

  * src/hd-switcher-menu.c: changed the order the new notifications are
  added to the pane (newest ones on the bottom). Implemented the clear
  events button which appears when scrolling is activated on the menu. 
  Update the acknowledge column on notification notification accordingly
  to disable blinking after the menu is closed. Changed the scrolling 
  behavior (keep scrolled on the bottom to keep track of latest 
  notifications).
  * libhildondesktop/hildon-desktop-popup-menu.[ch]: new method to get
  the vertical adjustment of internal viewport.
  * libhildondesktop/hildon-desktop-notification-manager.[ch]: new
  column which can be used to keep track if the notification was "read"
  or not.

  * src/hd-home-window.c:
  - fixed access to wrong GError in case of flash full.
  Fixes: NB#61983

  * src/hd-home-background.[ch]:
  - added hd_home_background_cancel
  - if background was cancelled, return from the callback immediately
  * src/hd-home-window.c:
  - attach the background being set to the cancel note, so it
  can be cancelled.
  Fixes: NB#61779

  * libhildondesktop/hildon-desktop-popup-window.c:
  - Set the window as temporary.
  * libhildonwm/hd-wm.c:
  - When sending long key press, close all temporary windows.
  Fixes: NB#61291

  * background-manager/Makefile.am:
  - added hack to use a longer timeout for async calls. Background
  loading can be longer than the default timeout.

  * src/hd-home-window.c:
  - added error handling for background loading
  Fixes: NB#59340, NB#59339, NB#61836, NB#61841

  * libhildondesktop/hildon-desktop-picture.c:
  - fixed loading of mask-only picture

  * src/main.c:
  - removed thread protection for GDK. Only the main thread
  shall access GDK / GTK

  * data/applications-menu.desktop.in:
  - Added temporary X-Settings fake key

  * libhildonwm/hd-wm.c (hd_wm_init): read the standard applications 
  directory and the hildon-specific application directory (if available) 
  in order to keep backwards compatibility.

  * src/hd-home-window.c:
  - do not show the cancel note when cancelling the dialog.
  Fixes: NB#61793

  * background-manager/background-manager.[ch]:
  - reimplemted with XRender instead of gdk_pixbuf_
  - send the picture XID back to the client
  - added Cropped mode
  * src/hd-home-window.c:
  - in the background manager callback, save the picture id
  - added _expose to paint the background
  * src/hd-home-background.c, src/hd-home-background-dialog.c:
  - added Cropped mode
  * libhildondesktop/hildon-desktop-picture.[ch]:
  - added _picture_and_mask_from_pixbuf

  * libhildonwm/hd-wm-types.h:
  - Added NET_STARTUP_INFO/BEGIN
  * libhildonwm/hd-wm-util.[ch]:
  - new util function for broadcasting NET_STARTUP_INFO/BEGIN
  * libhildonwm/hd-wm.[ch]:
  - broadcast STARTUP when launching applications.

  * libhildonwm/hd-wm.c: Removed launch banner for dummy applications.

  * libhildonwm/hd-wm.c: Some optimizations.
  * libhildonwm/hd-wm-window.[ch]: Added _set_icon_geometry method
  * src/hn-app-switcher.c: Added _set_icon_geometry calls

  * libhildondesktop/hildon-home-area.c: Fixed build without composite

  * libhildonwm/hd-wm.c: top desktop.

  * libhildonwm/hd-wm-entry-info.[ch]:
  - New commodity interface to make no diferences between diferent kinds
  window management elements and to make easier their handling.
  * libhildonwm/hd-wm-application.[ch]:
  * libhildonwm/hd-wm-window.[ch]:
  - Deleted references to old HDEntryInfo.
  - Implements HDWMEntryInfo
  * src/hn-app-switcher.c:
  * src/hd-switcher-menu-item.[ch]: 
  * src/hn-app-button.[ch] 
  * src/hd-switcher-menu.c:
  * libhildonwm/hd-keys.c:
  - Deleted references to old HDEntryInfo.
  - Updated to use new HDWMEntryInfo.
  * libhildonwm/hd-wm.[ch]:  
  - Deleted references to old HDEntryInfo.
  - Updated to use new HDWMEntryInfo.
  - try to catch DESKTOP_WINDOW Xid only when updating client list at
  the begininng. (It could be a little bit later in different scenarios)
  * libhildonwm/hd-wm-types.h:
  - Added HDWMDesktop.
  * libhildonwm/hd-entry-info.[ch]:
  - Deleted
  * libhildonwm/Makefile.am:
  - Added the new stuff
  * libhildonwm/hd-wm-desktop.[ch]:
  - New GObject class representing the DESKTOP WINDOW.
  - Implements HDWMEntryInfo.

  * src/hd-switcher-menu.c: added support for sound hint on
  notifications.

  * background-manager/{background-manager.[ch],
    background-manager.xml.in}:
  - removed the west and north border argument, not used
    anymore
  * src/hd-home-background.[ch]:
  - Removed _border properties, not used anymore

  * libhildondesktop/hildon-home-area.c:
  - created Layout struct which adds the stack index
  - save and load the stack order
  - re-apply the stack order when an applet gets realized
  Fixes: NB#56368

  * src/hd-applications-menu.c: added padding to the categories pane.

  * src/hd-switcher-menu.c: correctly add separators when populating the
  notifications menu on startup.

  * debian/control: added build dependency on libsqlite3-dev to enable
  notification manager persistency support.
  * libhildondesktop/hildon-desktop-notification-manager.c: dynamicaly
  load libsqlite3 in order to avoid direct linking.
  * libhildondesktop/Makefile.am: don't link to sqlite anymore.

  * src/hd-desktop.c:
  - Moved UI part of ping timeout to hd-desktop.
  * libhildonwm/hd-wm.[ch]:
  - Code cleaned. Added new signal when application freezes.
  * libhildonwm/hd-wm-application.[ch]:
  - Removed Hildon* code.
  - Code cleanup.
  * libhildonwm/hd-wm-window.c:
  - Removed Hildon* code.
  - Code cleanup.
  * libhildonwm/Makefile.am:
  - Depends only on GTK.

  * libhildonwm/hd-wm-watched-window.[ch]:
  - Renamed to (below)
  * libhildonwm/hd-wm-window.[ch]: 
  - Refactored to GObject.
  * libhildonwm/hd-wm-watchable-app.[ch]:
  - Renamed to (below)
  * libhildonwm/hd-wm-application.[ch]:
  - Refactored to GObject.
  * src/hd-desktop.c:
  * src/hn-app-switcher.c:
  * src/hd-switcher-menu.c:
  * libhildonwm/hd-keys.c:
  * libhildonwm/hd-wm.[ch]:
  * libhildonwm/hd-wm-memory.c:
  * libhildonwm/hd-wm-types.h:
  * libhildonwm/hd-entry-info.[ch]:
  * libhildonwm/Makefile.am:
  - Adapted to new name scheme.

  * libhildondesktop/hildon-desktop-picture.c:
  - do not start dragging unless the user has dragged by at least
  30px during the 1.2 first seconds. Fixes: NB#59337

  * libhildondesktop/hildon-desktop-picture.c:
  - fixed changing of states

  * libhildondesktop/hildon-home-area.c:
  - fixed handling of the damage events
  * libhildondesktop/hildon-desktop-picture.c:
  - load pictures with IncludeInferior

  * libhildondesktop/hildon-desktop-popup-window.c:
  - Reverted fake button event.

  * libhildondesktop/hildon-desktop-popup-window.c:
  - ifdef MAEMO_CHANGES use _TOPLEVEL instead of _POPUP
  - Destroy transfer window for grabing when popping down.
  - Set transiency for NULL when popping down.
  - Don't popdown if not open.
  - Removed fake button press/release event in _release_event handler.
  TBD.
  - Fixes: NB#60558

  * libhildondesktop/hildon-home-window.c:
  - do not propagate expose events to the child, as this
  is already done by the parent class
  * libhildondesktop/hildon-home-area.c:
  - replaced a gtk_fixed_move with hildon_home_area_move
  - fixed the window to update after a move

  * src/hd-switcher-menu-item.c: Fixed ellipsizing of labels.

  * src/hd-desktop.c: load newly installed plugins if the container is
  configured for doing so. Fixes bug NB#56506.
  * src/hd-config.h: new desktop container configuration key
  "X-Load-New-Plugins".
  * data/desktop.conf.in: configured home to automaticaly load newly 
  installed plugins.

  * libhildondesktop/hildon-desktop-home-item.c:
  - added _set_state to centralize the setting of the dragable state
  - use motion_notify instead of a timeout for the dragging
  * src/hd-home-window.c, libhildondesktop/hildon-home-area.c:
  - removed annoying debug messages

  * src/hn-app-switcher.c: update _NET_WM_ICON_GEOMETRY when orientation
  changes. Fixes: NB#56505.

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 29 Jun 2007 17:36:39 +0300

hildon-desktop (1:0.0.18-2) sardine; urgency=low

  * Fixed the name of the frozen application handler 

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 18 Jun 2007 18:58:01 +0300

hildon-desktop (1:0.0.18-1) sardine; urgency=low

  * src/hd-home-window.c: Do not reload the background when the
  theme changes, as this is now done on the fly.

  * libhildonwm/hd-keys.c: Added a few safeguard when retrieving
  the active application. Fixes: NB#60495

  * src/hd-switcher-menu.c: fixed handling of separators: only add
  them when needed.

  * src/hn-app-switcher.c:
  - Set icon geometry to application socket or to entire appswitcher
  according to position.
  * src/hn-app-button.[ch]:
  - Save last entry info used.
  * libhildonwm/hd-entry-info.[ch]:
  - Added support for icon geometry. Added flag to not override last
  icon geometry if it was already set.
  Fixes partially: NB#56505

  * data/statusbar.conf.in: added new plugin

  * libhildondesktop/hildon-desktop-window-dialog.c:
  - Check in _realize if we are gonna use the ol' titlebar from
  matchbox. It was missing in patch for MB 1358.

  * src/hd-switcher-menu.c: fixed notification filtering to discard all
  notifications with "system.note" prefix in their category.

  * src/hd-applications-menu.c: move focus to applications pane when
  tapping on a category on the left pane. Fixes bug NB#60548.

  * src/hd-applications-menu.c: use GDK_Return, GDK_KP_Enter,
  GDK_ISO_Enter to move focus to application pane. Fixes bug NB#60553.

  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - Setting matchbox specific hints shouldn't rely on patched gtk.
  Patch provided by Tommi Komulainen. Fixes: MB#1538

  * src/hn-others-button.c, src/hd-applications-menu.c: keep track of changes 
  in the standard  application directory and hildon-specific application 
  directory to update the menu accordingly. Fixes bug NB#16392.

  * libhildondesktop/hildon-desktop-popup-menu.c: allow activating menu
  items with GDK_Return. Fixes bug NB#60544.

  * src/hd-applications-menu.c, src/hn-others-button.c, src/Makefile.am,
  libhildondesktop/libhildonmenu.[ch], libhildondesktop/Makefile.am,
  data/Makefile.am, configure.ac: do not hardcode the absolute path of
  the menu definition file in libhildonmenu. 

  * src/hn-others-button.c, src/hd-applications-menu.c: always copy the
  system-wide menu definition to user directory to make sure restore
  work. Fixes bug NB#42202.

  * src/hd-switcher-menu.c: don't add a separator on the top of
  application menu.

  * libhildondesktop/hildon-home-titlebar.c: change the titlebar text
  color label to "HomeTitleTextColor".

  * src/main.c: Fixed problem with thread initialization with glib.
  Pointed out by Tommi.

  * libhildondesktop/hildon-home-area.c:
  - Allow add without layout

  * libhildondesktop/hildon-home-titlebar.c:
  - reduced size of the menu button. Fixes: NB#58138

  * src/hd-applications-menu.c:
  - It was creating the hildon_desktop_popup_window with "1" extra
  window. Now is set to "0" extra windows.
  * src/hd-panel-window.c:
  - XFixesFetchRegion needs an int and gcc 4.1.2 is really picky
  * libhildondesktop/hildon-home-area.c:
  - XQueryTree needs an unsigned int and gcc 4.1.2 is really picky :)

  * src/hd-switcher-menu.c: Call changed_stack_cb when removing an
  application from applications menu. Fixes: NB#59599

  * src/hd-home-window.c:
  - copy the background before applying, so further changes
  in the dialog won't affect it.
  Fixes: NB#57657

  * src/hd-home-background.c:
  - default value for background modes is Centered.
  Fixes: NB#57648

  * src/hd-home-background-dialog.c:
  - remove extension and .sketch from image name
  Fixes: NB#56712, NB#54030

  * src/hd-home-background.c:
  - call the callback even when an error occurred, so it can be
  handled
  * background-manager/background-manager.c:
  - removed the "plain color fallback", no longer necessary
  now that home draws its own titlebar
  Fixes: NB#55272

  * src/hd-home-window.c:
  - add a filter on the root window to track whether the home
  window is topmost

  * src/hd-home-window.c:
  - register the lowmem signal from libosso and act accordingly
  - register the hw_screen_off signal from libosso and act
  accordingly (tell the applets they are in the background)
  Fixes: NB#54896

  * src/hd-home-window.c:
  - add _cancel_note_show/hide to show the background loading progress
  - show the note if the loading did not complete within 1s
  - do not apply if the background if it was cancelled from the note.
  Fixes: NB#54014

  * src/hd-applications-menu.c:
  - unprotect spawned processes from the OOM shield.
  Fixes: NB#25830

  * libhildonwm/hd-wm.[ch]:
  - clean up D-Bus setup by removing unused handlers. Patch courtesy
  of Kimmo Hämälainen
  Fixes: NB#59789

  * libhildondesktop/hildon-home-titlebar.c:
  - added style_set to load the background as Picture
  - added expose, to paint the background from the widget
  - added realize, to call style_set the first time
  * src/hd-home-background.c:
  - disabled compositing of the titlebar as it is now down by
  the widget on the fly

  * src/hn-app-button.c: hd_wm_activate_window with toplevel GdkWindow
  not by using parent GtkWindow.

  * libhildondesktop/hildon-desktop-plugin.h: added a tiny line of code to
  avoid certain build warnings in plugin macros.

  * src/hd-config.h: Added mandatory key
  * src/hd-plugin-loader-legacy.c:
  * src/hd-plugin-loader-default.c:
  - Parse the mandatory key from plugin's .desktop file.
  * libhildondesktop/hildon-desktop-item.[ch]:
  - Added mandatory property.
  * libhildondesktop/statusbar-item.[ch]:
  - Removed mandatory property and move it out to HildonDesktopItem.
  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Check out mandatory property in HildonDesktopItem not StatusbarItem.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 18 Jun 2007 18:41:55 +0300

hildon-desktop (1:0.0.17-2) sardine; urgency=low

  * Added init script. Patch courtesy of Andrey Petrov.
  Fixes: NB#60085

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 11 Jun 2007 10:16:26 +0300

hildon-desktop (1:0.0.17-1) sardine; urgency=low

  * updated epoch :(

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  7 Jun 2007 17:37:30 +0300

hildon-desktop (0.0.17-1) sardine; urgency=low

  * policies/tasknavigator-policy.c,
    data/tasknavigator.conf.in:
  - replaced others-button with applications-menu
  * data/applications.menu:
  - uncommented the new layout, removed the old one

  * libhildondesktop/hildon-home-area.c:
  - do not call the parent_class remove handler, because it
  generates a non-implemented warning.

  * policies/tasknavigator-policy.c:
  - In case of failure Add a HildonDesktopToggleButton inside the
  TaskNavigatorItem.

  * libhildondesktop/hildon-desktop-picture.[ch]:
  - added
  - helpers for creating XRender Pictures from pixbufs or pixmaps
  * libhildondesktop/hildon-home-area.c,
    libhildondesktop/hildon-desktop-toggle-button.c,
    src/hd-panel-window.c:
  - use these helpers

  * libhildondesktop/hildon-home-area.c: Added stdlib.h

  * src/hd-pixbuf-anim-blinker.c:
  - protect against negative values for alpha.
  Fixes: NB#53501

  * src/hd-home-window.c:
  - do not call the parent's style_set, which resets the background
  to white
  - fixed detection of unchanged style.
  Fixes: NB#53975

  * src/hd-plugin-loader-legacy.c, src/hd-plugin-loader-factory.c:
  - load the applet with G_MODULE_BIND_LOCAL to avoid conflict
  of symbols. Patch courtesy of Santtu Lakkala.
  Fixes: NB#59641

  * libhildondesktop/hildon-desktop-item.h:
  - Added define

  * libhildondesktop/hildon-desktop-item.h:
  - Fixed prototype.
  * libhildondesktop/hildon-desktop-panel.[ch]:
  - Added method to refresh information of possible status bar items
  inside panel containers

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Added implementation of container remove that just decreases items
  counter.

  * src/hd-desktop.c:
  * src/hd-config.h:
  - Added additional and optional key X-Load to known whether a plugin
  is to be loaded or not.
  * libhildondesktop/hildon-desktop-item.h:
  - Added prototype.

  * src/hd-panel-window.c:
  - Fixed the leak of XRectangle
  * libhildondesktop/hildon-home-area.c:
  - Fixed the leak of a GtkBorder
  * libhildondesktop/hildon-desktop-home-item.c:
  - Reset the delta values on button_press to avoid
  snapping to grid if the applet has not moved

  * libhildondesktop/hildon-home-area.c:
  - Fixed building problem when no composite enabled.

  * libhildondesktop/hildon-home-area.c:
  - track changes in the applets' state rather than check it each time
  * libhildondesktop/hildon-desktop-home-item.c:
  - send proper "notify" when the state changes

  * libhildondesktop/hildon-desktop-popup-menu.c: cleanup the scrolling
  code and fixed the viewport sizing to match the expected layout.

  * src/hd-home-l10n.h: fixed localisation strings

  * src/hd-applications-menu.c: provided alternative menu items to
  make the menu work properly while we don't fix the nasty popup menu
  bug.

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  7 Jun 2007 17:28:37 +0300

hildon-desktop (0.0.16-2) sardine; urgency=low

  * restored conflict with maemo-af-deskop[-config]

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  4 Jun 2007 17:26:14 +0300

hildon-desktop (0.0.16-1) sardine; urgency=low

  * src/hd-panel-window.c:
  - added configure-event handler to track window geometry
  - attach the picture to the drawable so it can be used
  by child widgets drawing on the same window
  * src/hildon-toggle-button.c:
  - check if the drawable already has a Picture attached
  and use it if available

  * hildon-home-area.c:
  - do not recompute the alpha mask when resizing

  * hildon-home-area.[ch]:
  - inherit from Container instead of Fixed
  - implement _size_allocate, _size_request, _forall
  - added _put and _move
  * hildon-desktop-home-item.c:
  - change accordingly

  * src/hd-switcher-menu.c: 
  - Filter info notes notifications. Fixes: NB#59110

  * libhildondesktop/hildon-home-area.c:
  - reset the child's window as "shaped" after a change of style

  * libhildonwm/hd-wm.c:
  - send signal for launch banner when application has a proper name.
  * libhildonwm/hd-wm-watchable-app.[ch]:
  - Added method to change name of dummy HDWMWatchableApp

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  1 Jun 2007 13:28:13 +0300

hildon-desktop (0.0.15-1) sardine; urgency=low

  * added build-dep on libxdamage-dev and libxcomposite-dev

  * libhildonwm/hd-wm.c:
  - Launch application-starting signal whenever a dummy watchable app is
  created or the first window for an existing watchable app is created.
  Fixes: NB#53974
  * libhildonwm/hd-wm-watchable-app.c:
  - If application is dummy watchable app name is localized
  "Application" (to be defined yet though)

  * src/hd-home-window.c: Do not cancel the layout mode when
  ESC is pressed if the layout mode sucks

  * src/hd-panel-window.c:
  - paint the background and the children even if the composite
  extension is not available

  * src/hd-desktop.c: read new configuration key "X-Is-Ordered" to
  define plugin manager behavior when syncing.
  * src/hd-plugin-manager.[ch]: make the plugin manager aware if the
  the order of plugin list should be kept or not when syncinc.
  * src/hd-config.h: new key desktop configuration key "X-Is-Ordered".
  * data/desktop.conf.in: mark Home as non-ordered and Statusbar and
  Task Navigator as ordered.

  * src/hd-home-window.c: don't redirect the window here
  * src/hd-panel-window.c:
  - redirect the home window
  - only track the desktop window if XComposite is available
  in the server

  * src/hd-applications-menu.c: change the keyboard navigation behavior
  so that categories are activated when using up and down arrows. Focus
  is only grabed by applications pane on menu is popup.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]: added method for
  deselecting menu items.

  * src/hd-select-plugins-dialog.c: show vertical scrollbar when the
  list of plugins is longer than the space available. Fixes: NB#53976

  * src/hd-panel-window.c: use the NORMAL state to fetch the
  background, not PRELIGHT

  * libhildondesktop/hildon-home-window.c:
  - add "titlebar" property so it can be accessed for a11n

  * libhildondesktop/hildon-home-area.c:
  - emit "layout-changed" when applets are really added to the area
  * src/hd-home-window.c:
  - use "layout-changed" to know when to save the layout

  * libhildondesktop/hildon-home-area.c:
  - do not add the padding to the layout saved
  - disconnect the various handlers attached to the children
  when they are removed

  * src/hn-app-button.c: Yet another attachment.

  * libhildondesktop/hildon-home-titlebar.c:
  - attach the menu to the titlebar

  * src/hn-others-button.c:
  * src/hd-applications-menu.c:
  - Attached to proper widgets.

  Implementation of UI policy infrastructure to define specific
  behaviors on desktop containers. Fixes: NB#54033 and NB#54035

  * src/hd-desktop.c: cleanup of code for keeping track of changes in
  the plugin directory. Several coding style fixes. Added UI policy
  bits in the plugin manager calls and desktop configuration file.
  * src/hd-config.h: new optional desktop configuration file
  key "X-UI-Policy".
  * src/hd-ui-policy.[ch]: new UI policy object which loads
  container-specific implementations from dynamic modules.
  * src/hd-panel-window.c: check for child before setting size requests
  in Hildon Desktop items.
  * src/hd-plugin-manager.[ch]: added UI policy handling on load and
  sync methods. Correctly sync container configuration file and loaded
  plugins by taking into account the defined order.
  * configure.ac, src/Makefile.am: added UI policy directory
  definitions. Added hd-ui-policy.[ch] and policies/* to the build.
  * policies/Makefile.am, policies/tasknavigator-policy.c: Task
  Navigator UI policy.
  * data/desktop.conf.in: added X-UI-Policy to tasknavigator
  configuration.

  * src/hd-switcher-menu.c: Attach to toggle button.
  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Added method for attaching widget.
  - Send fake key when popping-down the menu and the pointer is not on
  the attached widget.

  * src/hd-home-window.c:
  - don't set the sensitivity of the layout mode menu item when
  not used
  * libhildondesktop/hildon-home-window.c:
  - fixed a typo in property IDs assignment

  * libhildondesktop/hildon-desktop-home-item.[ch]:
  - removed default resize handle.
  - if no resize handle provided, use an INPUT_ONLY window
  - have different size for the resize handle depending on the
  resize type

  * data/home-layout.conf: internet search applet's default height
  is now 50 px

  * configure.ac: Added HAVE_XTEST condition for libhildondesktop
  * libhildondesktop/hildon-desktop-popup-window.c:
  - Send additional fake press/release event for overriding the
  grabbing.
  * configure.ac        (working copy)
  * data/Makefile.am:
  * data/install_sbapplet.sh:
  - Added helper script for installing statusbar applets and to be used
  in postinst .deb scripts

  * src/hd-switcher-menu.c:
  - Highlight next application when menu is opened and home key is
  pressed. Fixes: NB#57666
  - Select highlighted application when menu opened and long home key
  press.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]:
  - Added methods to select previous/next item.
  - _get_selected_item is not const any longer.
  - Fixed misbehaviors when scrolling and the controls are off.

  * src/hd-panel-window.c:
  - add _style_set to load a background picture
  - add _realize to call _style_set initially
  - paint the background picture in the expose handler

  * src/hd-switcher-menu.c:
  - Select right application item. Fixes:  NB#57669

  * src/hd-switcher-menu.c: Fixed "switcher area highlighted when tapped
  on it with no applications opened". Fixes: NB#58320

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 29 May 2007 18:10:48 +0300

hildon-desktop (0.0.14-2) sardine; urgency=low

  * src/hd-switcher-menu.c: Fixed behavior I just introduced. 

 -- Lucas Rocha <lucas.rocha@nokia.com>  Thu, 24 May 2007 09:25:34 +0300

hildon-desktop (0.0.14-1) sardine; urgency=low

  * src/hd-switcher-menu.c: check state of blinking application when
  application is in app switcher slot. Fixes: NB#57680
  
  * src/hn-app-switcher.c:
  - Show items in junk dialog of application killer. Fixes: NB54712
  
  * src/hd-switcher-menu-item.c:
  - Reverting to GtkMenuItem. Image shows but behavior not consistent
  enough.
  
  * src/hd-switcher-menu-item.c:
  - Inherits againg from GtkImageMenuItem.
  * src/hd-switcher-menu.c:
  - Implemented dettached menu button.
  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Fixed two little memory leaks.
  * libhildonwm/hd-keys.c:
  - Changed applet name for search.
  
  * src/hn-app-button.c: don't show tooltip when tapping and holding on
  the application group. 
  Fixes: NB#57836
  
  * src/hd-plugin-loader-builtin.c: added applications menu to the
  possible builtin plugins. 
  * data/applications-menu.desktop.in, src/hd-applications-menu.[ch]: new two-pane 
  applications menu. Theming still missing.
  * src/Makefile.am, data/Makefile.am, configure.ac: added new plugin to
  the build.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]: implement size
  allocate and request to correctly show the "toggle" region of menu
  items. Fixed scrolling for popup menus which are not child of a
  window. Added a method to get the current selected menu item.
  * data/applications.menu: added (commented for now) new applications
  menu layout.
  
  * src/hd-desktop.c: fix build warning. 
  
  * src/hd-desktop.c: handle system note dialog queuing on explicit
  response and notification close.
  
  * src/hd-desktop.c,
  libhildondesktop/hildon-desktop-notification-manager.c: implement new
  kind of system note dialog with a progress bar.
  
  * src/hd-hung-app-handler.c:
  - Added missing "hung application" handler.
  * src/Makefile.am: updated
  * libhildonwm/hd-wm.c: 
  - Handle home entry info from hd_wm_top_item
  * src/hd-switcher-menu.c: Close the menu when topping desktop.
  
  * src/hd-switcher-menu.c:
  - Fixed showing of menu button when notifications are added and there
  are no applications and the menu is closed afterwards.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]:
  - Implemented basic scrolling support. To be improved, though.
  * libhildondesktop/hildon-desktop-toggle-button.h:
  - Fixed #define

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 23 May 2007 18:23:36 +0300

hildon-desktop (0.0.13-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Fixed problem I just introduced when resizing window parent.

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Fixed problem with scrolling.
  - When resizing parent with scroll controls, resize it as big as the
  screen.

  * src/hd-panel-window.c:
  - added _style_set to load a background picture
  - added _realize to first call _style_set
  - paint the background in expose

  * libhildondesktop/hildon-desktop-popup-menu.c: fixed sizing and
  scroll buttons behavior when "resize-parent" is FALSE.

  * src/hd-switcher-menu.c:
  - Order of the stacking fixed.

  * src/hd-switcher-menu.c:
  - Implemented jumping from pane to pane. Unfortunately you cannot jump
  to menu item at same height.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]:
  - Added select first item method.
  - If item to select is NULL, deselect everything.
  * libhildondesktop/hildon-desktop-popup-window.c:
  - "You shall not compare integers and unsigned integers without a
  casting".

  * src/hd-switcher-menu-item.c:
  - Close notification when activated.
  * src/hd-switcher-menu.c:
  - Close menu when application topped.
  - Don't show the button if there are no application and no
  notifications.
  - Connected to show-controls signals from the menu.
  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Added show-controls signals when scroll bottons are shown or not.
  * libhildonwm/hd-keys.c:
  - Added shortcut for osso-global-search, harcoded, though :(

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Added "resize-parent" property if you don't want the menu to resize
  the parent.

  * libhildondesktop/hildon-desktop-notification-manager.[ch]: added
  support for notification persistency (insert, update, delete and load)
  with sqlite. Notifications database is store in
  $HOME/.osso/hildon-desktop/notifications.db, Thus, we have now optional 
  build dependency on sqlite. Protect the id generation with mutexes to
  avoid concurrency problems.
  * configure.ac, libhildondesktop/Makefile.am: added sqlite dependency
  and build bits.

  * libhildondesktop/hildon-home-area.c:
  - fixed a bug I just introduced, the Damage needs to be created
  even if the applet is already realized when added
  - removed some debug messages
  * libhildondesktop/hildon-desktop-toggle-button.c:
  - removed excessive debug messages

  * src/hd-config.h: Added thumb icon size.
  * src/hd-switcher-menu-item.c: Include hd-config.h
  * src/hd-switcher-menu.c:
  - Implemented blinking of applications in menu icon.

  * src/hd-switcher-menu.c:
  - Populate notifications menu at start-up.

  * data/home.conf:
  - added hildon-home-webshortcut.desktop
  Fixes: NB#56360
  * data/home-layout.conf:
  - removed none-default applets

  * src/hd-switcher-menu.c:
  - Fixed menu positioning.
  - Implemented key navigation.
  - Added separators to notifications.
  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Implemented navigation through keys. Misses auto-scrolling.
  - Small fixes
  * libhildondesktop/hildon-desktop-popup-window.c:
  - Propagate key-press-event to child widget of pane.
  * libhildonwm/hd-wm-watched-window.c:
  - Update state of fullscreen when a HDWMWatchedWindow is removed.
  Fixes: NB#56174, NB#54820.
  * libhildonwm/hd-wm.c:
  - Renamed "show_menu" signal to "show-menu".

  * libhildondesktop/hildon-desktop-home-item.c:
  - added tap_and_hold handler to revert to normal state
  when the popup is shown. Does not solve the problem of a
  tap-n-hold set up on a child widget

  * libhildondesktop/hildon-home-titlebar.[ch]:
  - removed all layout mode-related logic
  * libhildondesktop/hildon-home-window.[ch]:
  - added "menu" and "title" properties, proxied to the titlebar
  - added _toggle_menu, proxied to the titlebar
  * src/hd-home-window.c:
  - act on the window rather than the titlebar

  * src/hd-home-window.[ch], libhildondesktop/hildon-home-window.[ch]:
  - moved all notions of layout mode to the HDHomeWindow
  - moved all notions of system state to the HDHomeWindow
  - removed _home_area, the home area is the bin's child
  - removed _init_applets, no longer necessary
  - when layout mode sucks, save the layout once
  every second when an applet is moved
  Fixes: NB#56368
  * src/hd-desktop.c: Do not call _applet_init anymore
  * background-manager/background-manager.c:
  - do not apply the borders for the initial background

  * libhildonwm/hd-wm.[ch]:
  - added desktop-window property. It is currently set manually.
  * src/hd-home-window.c:
  - added _realize / _unrealize to composite-redirect the window
  and update the "desktop-window" WM property
  * src/hd-panel-window.c:
  - tack the desktop-window property and create a Damage and Picture
  when the desktop window changes
  - added _expose which draws the desktop window as background
  * src/hn-others-button.[ch], src/hn-app-button.[ch]:
  - use a HildonToggleButton instead of a GtkToggleButton to
  draw the focus and pressed mark with alpha

  * src/hd-switcher-menu-item.[ch]:
  - Renamed some methods
  - Added leave notify event handler to unselect itself
  * src/hd-switcher-menu.c:
  - Implemented blinking notifications.
  - Fixed theme of icon.
  - Fixed first selected item. Misses stack_changed to track selected
  items.
  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Added "popdown-window" signal

  * libhildondesktop/hildon-desktop-toggle-button.[ch]:
  - added
  - ToggleButton which implements its own painting, and supports
  alpha in the pressed and focused states

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 11 May 2007 18:37:22 +0300

hildon-desktop (0.0.12-1) sardine; urgency=low

  * src/hd-home-window.c: Reverted accidental change,
  background should be set after background-dir

  * src/hd-desktop.c: call default action when system note dialog gets
  the response event.

  * src/hd-desktop.c, libhildondesktop/hildon-desktop-notification-manager.[ch],
  libhildondesktop/notification-manager.xml: support for setting the
  button label on system.note.dialog to cover the open "closeable"
  dialogs case.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  7 May 2007 16:39:14 +0300

hildon-desktop (0.0.11-2) sardine; urgency=low

  * debian/conffiles: removed home-background.conf

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  7 May 2007 15:25:34 +0300

hildon-desktop (0.0.11-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - add gdk_error_trap_ around XGetWindowProperty
  - do not crash if the property is not set

  * src/hd-desktop.c: watch notification with system.note.infoprint and
  system.note.dialog instead of system.note_dialog and
  system.note_infoprint.
  * libhildondesktop/hildon-desktop-notification-manager.[ch],
  libhildondesktop/notification-manager.xml: added SystemNoteDialog
  and SystemNoteInfoprint D-Bus methods to be used by libosso. Check if
  the actions list is valid and don't use in case it's invalid.

  * src/hd-home-window.c:
  - when no default background, revert to a black one rather
  than NULL

  * libhildonwm/hd-keys.[ch]:
  - Added new shortcuts.
  * libhildonwm/hd-wm.[ch]:
  * libhildonwm/hd-wm-types.h:
  * src/hn-others-button.c:
  - Renamed others menu to new & fancy "all menu"

  * src/hd-home-window.c:
  - read /usr/share/backgrounds/default.desktop
  to determine the default background.
  * data/home-background.conf:
  - removed, the default background settings are now fully fetched
  from the theme and the above mentioned file

  * src/hd-switcher-menu-item.[ch]:
  - Several minor bugfixes.
  * src/hd-switcher-menu.c:
  - Added basic support for notifications.

  * libhildondesktop/hildon-desktop-notification-manager.[ch]: several
  code cleanups and crasher fixes. Added "notification-closed" signal.
  * src/hd-desktop: implemented system notifications support in the
  desktop. Notification manager is used as backend.

  * src/hd-switcher-menu.[ch]:
  - New builtin plugin. Application Switcher & Notifications Menu.
  * src/hd-plugin-loader-builtin.c:
  - Added new hd-switcher-menu.
  * src/hn-app-switcher.c:
  - Removed main menu. Clenup.
  * src/hd-switcher-menu-item.[ch]:
  - Replaces hn-app-menu-item. No thumbable yet.
  * src/hn-app-menu-item.[ch]:
  - Deleted
  * src/hn-app-button.c:
  - Replaced hn-app-menu-item with hd-switcher-menu-item
  * src/hn-others-button.c:
  - Removed useless call to hn_app_switcher.
  * src/Makefile.am:
  - updated
  * src/hd-switcher-menu.[ch]:
  - New builtin plugin. Application Switcher & Notifications Menu.
  * configure.ac:
  * data/tasknavigator.conf.in:
  * data/switcher-menu.desktop.in:
  * data/Makefile.am:
  - Updated with new additions.

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Fixed item-height.
  - Pack the items at the end.

  * src/hn-app-switcher.c:
  - changed menu button name to -button4
  - changed menu button height to 60
  * src/hn-app-button.c:
  - changed button height to 60
  * src/hn-others-button.c, libhildondesktop/hildon-desktop-panel.c:
  - changed button height to 80

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Implemented new signal to handle resizing
  - Implemented auto-resizing of parent window.
  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Removed gtk_widget_show_all
  - Added method to recalculate position.

  * libhildonwm/hd-wm.c: do not handle the matchbox client list if
  it could not be retrieved

  * libhildondesktop/hildon-home-area.c: Fixed double unref

  * libhildondesktop/hildon-desktop-notification-manager.c: fix crash
  when notification is activated before timeout.

  * configure.ac:
  - fixed detection of libxcomposite and libxdamage

  * src/hd-home-window.c:
  - new menu layout

  * src/hd-home-window.c:
  - layout mode is now considered to suck again.
  - added temporary alpha adjustment dialogs
  * libhildondesktop/hildon-desktop-item.c:
  - renamed "name" property to "item-name" (was conflicting with the
  widget name)
  * libhildondesktop/hildon-desktop-home-item.c:
  - added "state" property, whether the applet is being moved
  or resized
  - added background-borders style property
  - layout mode sucks by default
  * libhildondesktop/hildon-home-area.c:
  - added "default-alpha" property
  - added "child-data" child property containing XRender picture
  for the child and its alpha-mask
  - added handlers for the child's style-set, realize, size-allocate
  to redirect the child to offscreen and create the scaled
  alpha mask accordingly
  - added _realize/_unrealize to create a XRender Picture
  - added _expose to composite the children on the area
  - added child window filter to repair the damage to the
  children
  - removed simple placement algorithm
  * configure.ac: check for libxdamage and libxcomposite

  * libhildondesktop/hildon-desktop-notification-manager.c: generalize
  the dbus callback support so that dbus callbacks can be associated
  with any notification action.

  Implemented: NR#167705, NR#167718

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  7 May 2007 14:49:38 +0300

hildon-desktop (0.0.10-1) sardine; urgency=low

  * src/hn-app-switcher.c, src/hd-home-window.c, src/hn-others-button.c,
  libhildondesktop/hildon-home-titlebar.c:
  - define ENABLE_UNSTABLE_API when include hildon-helper.h, as this
  seems now required

  * src/hd-desktop.c:
  - Fixed the leak of the configuration file buffer
  - Fixed the leak of the array returned by g_key_file_get_groups

  * libhildondesktop/hildon-desktop-popup-menu.ch:
  - Each item has a pre-specified size except GtkSeparatorMenuItems.
  - Added method to scroll to pre-selected item. Based on size of each item.
  - Now inherits from a GtkVBox
  - Set proper size to internal GtkScrolledWindow.
  - Added scroll buttons.
  - Several bugfixes.
  * libhildondesktop/hildon-desktop-popup-window.ch:
  - Emit signal when popping up the menu. (to be used along
  "scrolling-to" HildonDesktopPopupMenu functionality).

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 26 Apr 2007 15:12:19 +0300

hildon-desktop (0.0.9-1) sardine; urgency=low

  * fixed build-dependency on libhildonfm2-dev | hildon-libs-dev to
     libhildonfm2-dev | hildon-fm-dev

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Connect to "notify::condition" instead of deprecated signal.
  Fixes: NB#53988

  * data/applications.menu: the e-mail client is now called
  modest

  * libhildondesktop/hildon-desktop-popup-menu.[ch]:
  - Added item's activation

  * libhildondesktop/hildon-desktop-popup-window.c:
  - Fixed Horizontal positioning. Vertical pending.

  * libhildondesktop/hildon-desktop-popup-menu.[ch]:
  - Added basic implementation of new menu.
  * Makefile.am:
  - Added HildonDesktopPopupMenu to building batch

  * libhildondesktop/notification-manager.xml: renamed
  hildon_desktop_notification_manager_add_notification to
  hildon_desktop_notification_manager_notify.
  * libhildondesktop/hildon-desktop-notification-manager.[ch]: added
  support for D-Bus callbacks (with basic types parameters) on notifications
  backend. The callback description goes through a "dbus-callback" hint.
  The D-Bus callback is called as the default action if defined. Fixed some
  memory management problems.

  * libhildondesktop/hildon-desktop-popup-window.c:
  - Added forgotten _finalize

  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Added new methods to access panes.
  - Fixed behavior.

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 24 Apr 2007 18:15:13 +0300

hildon-desktop (0.0.8-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Fixed a lot of issues to get it built.
  * libhildondesktop/Makefile.am:
  - Added HildonDesktopPopupWindow to building batch

  * libhildondesktop/hildon-home-area.c:
  - fixed an infinite loop in some situations.
  Fixes: NB#53973

  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Added stubs for new popup window.
  * libhildondesktop/hildon-desktop-notification-manager.[ch]:
  * libhildondesktop/hildon-desktop-panel-expandable.[ch]:
  * libhildondesktop/hildon-desktop-panel-window-dialog.[ch}:
  - fixed (c) year

  * libhildondesktop/hildon-desktop-notification-manager.[ch],
  libhildondesktop/notification-manager.xml: implemented notification 
  action and close support in the notification manager. Changed public 
  API to make it saner for direct use.

  * libhildonwm/hd-wm.c:
  - No add parameters to awake a bgkilled process. Fixes: NB#54499

  * libhildonwm/hd-keys.[ch]:
  - Added new actions as stubs.
  * libhildonwm/hd-wm.[ch]:
  - Implemented switching among windows from the same application.

  * debian/control: build dependency on hildon-1 or hildon-libs to be 
  more Bora build friendly.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 23 Apr 2007 10:19:02 +0300

hildon-desktop (0.0.7-1) sardine; urgency=low

  * src/hn-app-switcher.c:
  - Grab focus for appswitcher's main button when left key is pressed.
  Fixes: NB#54247

  * libhildonwm/hd-wm-c:
  - Added dbus method previously removed.
  * src/hd-desktop.c:
  - Only check timeout value.

  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - Set no of items for container to 7. Fixes: NB#54193

  * src/hn-app-switcher.c:
  - Place main menu according to fullscreen mode. Fixes: NB#53969
  * src/hn-app-button.c:
  - Implemented proper left/right rocker behavior.

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 17 Apr 2007 09:39:31 +0300

hildon-desktop (0.0.6-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - Code cleanup 
  * libhildondesktop/hildon-desktop-panel-window.c:
  - If the window is not to be moved, it uses parent implementations for
  check_resize, size_request and size_allocation.
  * data/desktop.conf.in:
  - Changed size of statusbar panel.
  Fixes: NB#53998

  * src/hd-desktop.c:
  - Implemented banner when launching applications. Fixes: NB#53974
  * libhildonwm/hd-wm.c:
  - Removed all dbus method for launching banners.
  - Send application starting signal when launched by DBus.
  * libhildonwm/hd-wm-watchable-app.c:
  - Never return maemo-af-desktop when trying to get localized name of
  watchable application.

  * src/hn-others-button.c: Set active others menu's toggle button when
  opened by using right key. Fixes: NB#54020.

  * libhildondesktop/hildon-home-area.c:
  - mark the layout as changed when adding an applet. Fixes: NB#53972

  * src/hd-home-background-dialog.c:
  - make the dialog modal. Fixes: NB#53971

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 12 Apr 2007 17:40:02 +0300

hildon-desktop (0.0.5-1) sardine; urgency=low

  * libhildondesktop/hildon-home-area.c: Fixed an illegal free

  * libhildonwm/hd-wm.c: Fixed some hdwm->keys cases left.
  * src/hn-app-switcher.c: Menu thumb fixed when no entries are added.

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  5 Apr 2007 09:35:11 +0300

hildon-desktop (0.0.4-1) sardine; urgency=low

  * data/statusbar.conf: Added all the plugins from IT-2007

  * src/hd-plugin-loader-legacy.c:
  - also show_all legacy statusbar widgets

  * src/hd-home-background-dialog.c:
  - copy the background instead of reffing it.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - fixed a compilation warning

  * src/hd-plugin-loader-legacy.c:
  - call show_all on the home widgets as it was done in
  maemo-af-desktop

  * src/hn-app-switcher.c:
  - moved creation of the internal VBox from the constructor
  to the _orientation_changed. Fixes a warning

  * configure.ac: Fixed typo in statusbardesktopentrydir

  * libhildonwm/hd-wm.c:
  - Moved key's signal connection to constructor. Fixes: NB#53697

  * libhildondesktop/hildon-thumb-menu-item.c: make the needed checks to
  avoid hard dependency on Maemo GTK+.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed,  4 Apr 2007 09:11:13 +0300

hildon-desktop (0.0.3-1) sardine; urgency=low

  * data/Makefile.am:
  * data/desktop.conf.in:
  - Reverted statusbar panel

  * libhildondesktop/hildon-status-bar-item.h:
  - Fixed GET_TYPE macro

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Apr 2007 16:32:47 +0300

hildon-desktop (0.0.2-2) sardine; urgency=low

  * Forgot the magic:
    + Implemented: NR#167413, NR#167412 NR#167224, NR#167638, NR#167206

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Apr 2007 12:52:20 +0300

hildon-desktop (0.0.2-1) unstable; urgency=low

  * libhildondesktop/hildon-home-area.c:
  - Sort the region before using for placement
  * src/hd-desktop.c:
  - Fixed the path used to load the containers

  * libhildondesktop/hildon-home-area.c:
  - added applet-padding property which specifies the padding
  between newly added applets
  - re-implemented auto-arrange without using GdkRegion, whose
  rectangle decomposition was not the one specified.

  * src/hd-desktop.c:
  - Use old DOCK_TITLEBAR on hildon-desktop-window-dialog child class
  - Deleted padding
  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Fixed number of items per row in extension panel.
  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - Implemented old DOCK_TITLEBAR as optional.
  * libhildondesktop/hildon-desktop-panel-window.c:
  - Never resize/move window if move is FALSE.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Fixed size of items in extension table.

  * libhildondesktop/hildon-desktop-home-item.[ch]:
  - removed hildon_desktop_home_item_save_position ()
  * libhildondesktop/hildon-home-area.c:
  - added private hildon_home_area_child_save_position ()

  * libhildondesktop/hildon-desktop-home-item.c:
  - never snap to outside the area
  * libhildondesktop/hildon-home-window.c:
  - fixed wrong allocation

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Apr 2007 12:21:10 +0300

hildon-desktop (0.0.1-1) unstable; urgency=low

  * src/hn-app-switcher:
  - Fixed navigation through swap key when is highest element.

  * src/hn-app-switcher.c: 
  - Handling of swap key fixed.
  - Open thumb menu when swap key pressed.
  * libhildonwm/hd-wm.c (working copy):
  - Created constructor and moved DBus initialization to constructor.

  * src/hd-home-background.c, src/hd-desktop.c,
  src/hd-plugin-loader-factory.c, libhildondesktop/libhildonmenu.c,
  libhildondesktop/hildon-desktop-plugin.c,
  libhildondesktop/hildon-desktop-panel-window-dialog.c: fixed a bunch
  of build warnings.      

  * autogen.sh: run configure script to be jhbuild friendly.

  * doxyconf: Removed
  * configure.ac: Look for gdx-x11
  * libhildonwm/hd-wm.c: fixed some headers
  * libhildonwm/Makefile.am: Links against gdk not hildon

  * Src/hn-app-switcher.c: Use hildon_helper_event_button_is_finger 
  if hildon-1 is present.

  * libhildondesktop/hildon-desktop-plugin.h:
  - new macro HILDON_DESKTOP_PLUGIN_SYMBOLS_CODE to add code in load
  and unload symbols.
  * libhildondesktop/libhildondesktop.h
  - new macro HD_DEFINE_PLUGIN_EXTENDED to register the plugin and 
  add code in load and unload exported symbols.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 28 Mar 2007 17:09:15 +0300

hildon-desktop (0.0.0-36) unstable; urgency=low

  * libhildonwm-dev should depend on libgonf2-dev, not libhildonwm0

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 26 Mar 2007 14:22:41 +0300

hildon-desktop (0.0.0-35) unstable; urgency=low

  * New experimental snapshot
  * Updated build-dep on osso-af-settings to 0.0.0-35 

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 23 Mar 2007 13:36:55 +0200

hildon-desktop (0.0.0-34) unstable; urgency=low

  * Conflict with maemo-af-desktop < 3.0.0 (transition package) 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Mar 2007 15:57:25 +0200

hildon-desktop (0.0.0-33) unstable; urgency=low

  * Move from libosso-help to hildon-help

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 14 Mar 2007 12:45:22 +0200

hildon-desktop (0.0.0-32) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  9 Mar 2007 17:59:44 +0200

hildon-desktop (0.0.0-31) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Mar 2007 18:01:36 +0200

hildon-desktop (0.0.0-30) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Mar 2007 13:58:15 +0200

hildon-desktop (0.0.0-29) unstable; urgency=low

  * libhildonwm-dev depends on libhildon1-dev
  * libhildondesktop-dev depends on libhildon1-dev and libxml2-dev
  * added applications.menu to the package and conffiles
  * consequently hildon-desktop conflicts with maemo-af-desktop-config

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  5 Mar 2007 10:10:14 +0200

hildon-desktop (0.0.0-28) unstable; urgency=low

  * hildon-desktop-dev should not depend on maemo-launcher

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  2 Mar 2007 12:36:37 +0200

hildon-desktop (0.0.0-27) unstable; urgency=low

  * libhildonwm-dev depends on libx11-dev and libxtst-dev

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 18:20:56 +0200

hildon-desktop (0.0.0-26) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 17:36:30 +0200

hildon-desktop (0.0.0-25) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 14:20:25 +0200

hildon-desktop (0.0.0-24) unstable; urgency=low

  * conffiles should have absolute path

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 10:30:39 +0200

hildon-desktop (0.0.0-23) unstable; urgency=low

  * New experimental snaptshot
  * hildon-desktop-dev depends on libhildondesktop-dev and libhildonwm-dev 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 10:20:51 +0200

hildon-desktop (0.0.0-22) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 26 Feb 2007 17:41:58 +0200

hildon-desktop (0.0.0-21) unstable; urgency=low

  * libhildonwm/hd-wm.c: Initialize DBus error

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Feb 2007 14:51:26 +0200

hildon-desktop (0.0.0-20) unstable; urgency=low

  * src/hn-app-switcher.c: fix app switcher menu positioning taking the
  panel orientation into account. 

  * libhildondesktop/hildon-home-titlebar.c: Work around a bug
  in GTK+/matchbox by not attaching the menu to the titlebar

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Feb 2007 14:23:25 +0200

hildon-desktop (0.0.0-19) unstable; urgency=low

  * Added dependency on l10n 

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Feb 2007 11:35:32 +0200

hildon-desktop (0.0.0-18) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Feb 2007 10:42:25 +0200

hildon-desktop (0.0.0-17) unstable; urgency=low

  * src/Makefile.am: Added LAUNCHER_LDFLAGS to the link

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 17:13:55 +0200

hildon-desktop (0.0.0-16) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 16:33:18 +0200

hildon-desktop (0.0.0-15) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 16:10:51 +0200

hildon-desktop (0.0.0-14) unstable; urgency=low

  * src/hildon-desktop.pc.in,
    libhildondesktop/libhildondesktop.pc.in,
    libhildonwm/libhildonwm.pc.in: require libhildon-1 rather
    than hildon-libs
  * configure.ac, src/hd-home-background-dialog.c: Include
    hildon/ instead of hildon-widgets/ when compiled
    against libhildonfm-2

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 15:44:08 +0200

hildon-desktop (0.0.0-13) unstable; urgency=low

  * Replaced build-dep on hildon-fm-dev with build-dep on
    libhildonfm2-dev 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 14:55:05 +0200

hildon-desktop (0.0.0-12) unstable; urgency=low

  * Added startup script to the package

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 16 Feb 2007 14:05:19 +0200

hildon-desktop (0.0.0-11) unstable; urgency=low

  * New experimental snapshot

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 15 Feb 2007 15:08:07 +0200

hildon-desktop (0.0.0-10) unstable; urgency=low

  * libhildonwm/hd-wm.[ch]
  - created application-starting signal to which the launch-bannering
  should be connected
  - do not launch the banner from the window manager code

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Feb 2007 18:55:52 +0200

hildon-desktop (0.0.0-9) unstable; urgency=low

  * src/hd-panel-window-dialog.c:
  - Listening to new signal "queued-button" instead GtkContainer's "add"
  * libhildondesktop/hildon-desktop-panel.c:
  - Fixed "add-button" signal.
  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Emit new signal "queued-button" whenever a button is queued to be in
  the statusbar panel
  * data/statusbar.conf: add presence plugin

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Feb 2007 17:03:46 +0200

hildon-desktop (0.0.0-8) unstable; urgency=low

  * Moved build-dep from hildon-libs-dev to libhildon1-dev 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Feb 2007 15:06:58 +0200

hildon-desktop (0.0.0-7) unstable; urgency=low

  * Added hildon-desktop-dev for the plugin loader writers 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 18 Jan 2007 18:00:46 +0200

hildon-desktop (0.0.0-6) unstable; urgency=low

  * Added .desktop files for built-in plugins
  * Added .pc file 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 18 Jan 2007 17:34:52 +0200

hildon-desktop (0.0.0-5) unstable; urgency=low

  * Fixed conffiles 
  * Added background manager to the package

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 17 Jan 2007 12:19:28 +0200

hildon-desktop (0.0.0-4) unstable; urgency=low

  * Include headers in -dev packages 

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 17 Jan 2007 11:33:44 +0200

hildon-desktop (0.0.0-3) unstable; urgency=low

  * Do not replace maemo-af-desktop until it's usable 

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 17 Jan 2007 09:57:39 +0200

hildon-desktop (0.0.0-2) unstable; urgency=low

  * Temporary add hildon-base-lib-dev as build-dep 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  5 Dec 2006 16:19:57 +0200

hildon-desktop (0.0.0-1) unstable; urgency=low

  * First version of the packaging

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  5 Dec 2006 14:25:43 +0200


